#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x49e38774, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x9e923e39, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x427df196, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0xd54e7805, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xc9a6eb0f, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x84bd6548, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x86b11365, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0xcbef85a4, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x9292e701, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x8d8ebc2c, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xb542abef, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xe0ed63c3, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xb3900e01, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x7906cec2, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xc690e0c0, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x9c4cb549, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xd506ecf6, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x40497a24, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xfb6433ef, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xf02fe600, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xcc6eb100, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x5bd2ed9e, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x1de27ea3, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xe6e24630, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x136aa143, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x4b03d651, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x25f4ddc1, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x1245ae8e, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x0d60efb4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0x3ca519ce, "regmap_raw_write" },
	{ 0xfe53bd68, "regmap_raw_read" },
	{ 0x2e82174c, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0xbee19b62, "regmap_read" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x77fadbe9, "regmap_update_bits_base" },
	{ 0x3a090b0b, "regmap_write" },
	{ 0x1e19e102, "regmap_multi_reg_write" },
	{ 0x3ba309cb, "regmap_bulk_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1e26ed59, "devm_kasprintf" },
	{ 0x88b33cc8, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0xcf4d064d, "devm_kmalloc" },
	{ 0xbe0e2744, "devm_kfree" },
	{ 0xa916b694, "strnlen" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x845716b3, "seq_lseek" },
	{ 0x43c999df, "seq_read" },
	{ 0x42f2a5ee, "single_release" },
	{ 0x2a04675d, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff8762ad, "debugfs_create_dir" },
	{ 0x35e88657, "debugfs_create_bool" },
	{ 0xf23465ad, "debugfs_create_x32" },
	{ 0x6f2fcc1c, "debugfs_create_file_full" },
	{ 0xba162d43, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0xa6775829, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18057076C45EADAA00BFD8C");
