#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x2ff795b4, "");
SYMBOL_CRC(drm_gem_vram_put, 0x841edaee, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xb6082fb0, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x8d9df1ec, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x508228bf, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xa142ab0e, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x20fdf0d8, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xa7897bc7, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x42a6c9db, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x6e6ea60a, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x79df0837, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x8986c3a8, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x74407148, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xa796c361, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xec1f319d, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x7d626681, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6f7e6c7a, "drm_gem_object_release" },
	{ 0x3b8d894c, "ttm_tt_init" },
	{ 0x243e6188, "drm_gem_handle_create" },
	{ 0x79013f30, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5d6216b4, "ttm_bo_unpin" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0x9b2bb5ce, "drm_debugfs_add_files" },
	{ 0xde54a8ef, "ttm_bo_init_validate" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x06e21442, "ttm_device_init" },
	{ 0x82e6dccf, "ttm_bo_validate" },
	{ 0x7abe8b80, "ttm_bo_move_to_lru_tail" },
	{ 0x93a824b8, "ttm_bo_vmap" },
	{ 0x675ac631, "ttm_bo_put" },
	{ 0x0487799c, "ttm_resource_free" },
	{ 0x04769f9d, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0a34fd7e, "ttm_tt_fini" },
	{ 0x7f6db1ff, "ttm_device_fini" },
	{ 0x971c6927, "drm_gem_plane_helper_prepare_fb" },
	{ 0xb47e47ed, "ttm_bo_eviction_valuable" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x673ab596, "drm_gem_ttm_print_info" },
	{ 0xe0931833, "ttm_range_man_init_nocheck" },
	{ 0x9f9e2e31, "ww_mutex_lock_interruptible" },
	{ 0xc928de2b, "ttm_resource_manager_debug" },
	{ 0xee2a23b1, "ww_mutex_unlock" },
	{ 0x037a0cba, "kfree" },
	{ 0xb946f171, "ttm_range_man_fini_nocheck" },
	{ 0x519f5a68, "drm_gem_object_init" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27dfffbc, "ttm_bo_pin" },
	{ 0x96684248, "dev_driver_string" },
	{ 0xc6c458f7, "drm_gem_ttm_mmap" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "BE91EDF4E1BA70D0E0DCB4B");
