#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x2a479861, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0x505662df, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x4e8b8c96, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x405070d4, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x68a0d58a, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0xe2f99fc4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2add2e06, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x26314388, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0x05ab4a35, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7424d470, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x6a6a2119, "usb_clear_halt" },
	{ 0x1caa8224, "usb_bulk_msg" },
	{ 0xd685c2a8, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x516dcd59, "usb_submit_urb" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0x791d2060, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x23d0413e, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x2818c3be, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xea9f3e0f, "rc_register_device" },
	{ 0xe021e2b3, "usb_control_msg" },
	{ 0xefe62101, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2ef7099f, "dvb_dmxdev_release" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x12563500, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd89004d0, "input_event" },
	{ 0x5e066c8a, "dvb_frontend_detach" },
	{ 0x5f0c1eab, "i2c_add_adapter" },
	{ 0xcb436909, "dvb_net_release" },
	{ 0x4d75999c, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5650ff2e, "dvb_unregister_frontend" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x432c04d5, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x600b5958, "__media_device_usb_init" },
	{ 0x8fe3eb4e, "dvb_register_frontend" },
	{ 0x63cb1ff5, "dvb_create_media_graph" },
	{ 0x85ded79a, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x5f8d40c8, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x076455f8, "rc_unregister_device" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9080719f, "input_allocate_device" },
	{ 0x5f463e65, "dvb_dmxdev_init" },
	{ 0xaa1879b0, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3d7e6a7a, "media_device_unregister" },
	{ 0x6e6b1ca9, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xeb963530, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xec4cc5b5, "request_firmware" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");
