#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x7dd3365b, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xce420dc8, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x25bdbde1, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xf5208203, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xab14b228, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x252d8df6, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x270b1b68, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xdcf0f989, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x79951b3d, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xc0b5f0ba, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x850c529b, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x870784ee, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x29e026c9, "_gpl");
SYMBOL_CRC(usbnet_open, 0xf87764b3, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xe6e36b9f, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xa084528b, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x6cdf2a47, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x7fab5764, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x6b7c70b1, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x87d92927, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x764607e3, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x383bea38, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x6b556af1, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x88455c15, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xad55155a, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x408640a7, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x503b2698, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x163fc678, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xc9670eb7, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x0c884fb4, "");
SYMBOL_CRC(usbnet_manage_power, 0xaa54e9a3, "");
SYMBOL_CRC(usbnet_link_change, 0x339d10db, "");
SYMBOL_CRC(usbnet_read_cmd, 0x39fb0a13, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x0f65c2f6, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x487a58d5, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xba63fcf5, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xfe74cf06, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x08162ccf, "usb_set_interface" },
	{ 0xd239c1f5, "usb_string" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xe43c479e, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd6ecacdc, "netif_rx" },
	{ 0xe59180f3, "eth_type_trans" },
	{ 0x07e717b0, "skb_queue_tail" },
	{ 0x69595f9a, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb4c33ba5, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x36f7ffb2, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa03e2dfa, "usb_unlink_urb" },
	{ 0x6e6b1ca9, "usb_free_urb" },
	{ 0x6484982b, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x516dcd59, "usb_submit_urb" },
	{ 0x00d8c79c, "netdev_err" },
	{ 0x06cd7d0f, "mii_ethtool_get_link_ksettings" },
	{ 0x44b470e3, "mii_ethtool_set_link_ksettings" },
	{ 0xddc2eacf, "mii_nway_restart" },
	{ 0x037a0cba, "kfree" },
	{ 0xb8b8b1f4, "unregister_netdev" },
	{ 0x5e8cb9b3, "consume_skb" },
	{ 0xfd02eb5e, "usb_get_from_anchor" },
	{ 0x432c04d5, "usb_kill_urb" },
	{ 0x0323dfcc, "free_netdev" },
	{ 0x47d69e90, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8ecdbff2, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x64a21769, "netif_device_attach" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xe021e2b3, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x61c4751a, "usb_autopm_get_interface" },
	{ 0xaeeeae90, "usb_autopm_put_interface" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xaa1879b0, "usb_alloc_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x116c87fa, "mii_link_ok" },
	{ 0xe06bd194, "ethtool_op_get_link" },
	{ 0xa82279a8, "usb_autopm_put_interface_async" },
	{ 0x7bde2f4a, "netif_carrier_on" },
	{ 0xc5ca8e96, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xff3d3417, "skb_dequeue" },
	{ 0x5d098ab6, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4f621f43, "register_netdev" },
	{ 0x4ac169ff, "pm_runtime_enable" },
	{ 0x3c2523a6, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbc509e79, "usb_autopm_get_interface_async" },
	{ 0xcc41ef0b, "skb_tstamp_tx" },
	{ 0x11e4f6aa, "dev_kfree_skb_any_reason" },
	{ 0x0ead8111, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x20fe78a2, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc5b9a5e0, "netif_tx_wake_queue" },
	{ 0x0fb5ea83, "usb_autopm_get_interface_no_resume" },
	{ 0x8808d7bb, "skb_put" },
	{ 0x6a6a2119, "usb_clear_halt" },
	{ 0xa8bb9d20, "eth_mac_addr" },
	{ 0x27196db0, "eth_validate_addr" },
	{ 0x0aa1106a, "ethtool_op_get_ts_info" },
	{ 0x5f8d40c8, "param_ops_int" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "17BD597195840FF5B32BAEB");
