#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x75ddae7f, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0xc58c35df, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xa0c4f9ca, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x75fd0906, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0xd31b1d64, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x7df1e8fe, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x2f7a4d28, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x2314a04c, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xbfa9e2fb, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0xc48184ab, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x70ed4b45, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x459184bc, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x818cf2ff, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xa1982abd, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x20dd506a, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0xaa833cac, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0xc7d878bd, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x227fb032, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x73b4d14e, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x8ea6faf8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c634322, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x0a1f0bbb, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa74969a4, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x8890ff4b, "mt76_eeprom_init" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1fc5c655, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x9b0e38db, "mt76_mcu_send_and_get_msg" },
	{ 0x4498ff96, "mt76_eeprom_override" },
	{ 0x5c01cfa8, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xac3274ed, "mt76_get_sar_power" },
	{ 0xc9f9c701, "mt76x02_eeprom_copy" },
	{ 0xd742fcb2, "mt76x02_mcu_calibrate" },
	{ 0x0d3e1df2, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x72caaf7b, "mt76_get_min_avg_rssi" },
	{ 0x87a08998, "mt76_init_sar_power" },
	{ 0xc6d7be4c, "mt76x02_phy_adjust_vga_gain" },
	{ 0xe615260e, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xcf4d064d, "devm_kmalloc" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "80F7976F489C71A568DEF6A");
