#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_amd_probe, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_exit, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_get_slave_info, "", "SOUNDWIRE_AMD_INIT");

SYMBOL_CRC(sdw_amd_probe, 0x08e0b321, "");
SYMBOL_CRC(sdw_amd_exit, 0x54cedd89, "");
SYMBOL_CRC(sdw_amd_get_slave_info, 0xea961663, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84094618, "sdw_stream_remove_master" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x6c5f6b70, "platform_device_unregister" },
	{ 0x16e11bb3, "platform_get_resource" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6025d6ee, "__platform_driver_register" },
	{ 0x1e26ed59, "devm_kasprintf" },
	{ 0xe66f0c89, "sdw_stream_add_master" },
	{ 0x09a8e1cd, "platform_device_register_full" },
	{ 0xd30ec020, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x48ae5223, "acpi_fetch_acpi_dev" },
	{ 0x5c3bae89, "device_get_named_child_node" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb5e6a336, "sdw_bus_master_delete" },
	{ 0x5010396e, "__pm_runtime_use_autosuspend" },
	{ 0x1eec718b, "__pm_runtime_disable" },
	{ 0x77e20bdb, "sdw_compute_slave_ports" },
	{ 0xc2096692, "sdw_bus_exit_clk_stop" },
	{ 0xe3fa6749, "sdw_master_read_prop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xbbdbf4c1, "sdw_bus_prep_clk_stop" },
	{ 0xcf4d064d, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5405da67, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xddd071ed, "sdw_bus_clk_stop" },
	{ 0x6b229628, "pm_runtime_set_autosuspend_delay" },
	{ 0xd7882f89, "sdw_bus_master_add" },
	{ 0x6d06122d, "devm_ioremap" },
	{ 0x037a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x81c1f587, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x081a0d36, "sdw_handle_slave_status" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4bb2acde, "__pm_runtime_set_status" },
	{ 0xcde06150, "devm_snd_soc_register_component" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ac169ff, "pm_runtime_enable" },
	{ 0x6c81c68b, "fwnode_property_read_u32_array" },
	{ 0xf620e16b, "sdw_clear_slave_status" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");


MODULE_INFO(srcversion, "C26E7C5E282172D2978EA5B");
