#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_gadget_get_string, "_gpl", "");
KSYMTAB_FUNC(usb_validate_langid, "_gpl", "");
KSYMTAB_FUNC(usb_descriptor_fillbuf, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_config_buf, "_gpl", "");
KSYMTAB_FUNC(usb_copy_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_assign_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_free_all_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_init, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_ss, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_release, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_reset, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed_and_alt, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed, "_gpl", "");
KSYMTAB_FUNC(usb_add_function, "_gpl", "");
KSYMTAB_FUNC(usb_remove_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_function_activate, "_gpl", "");
KSYMTAB_FUNC(usb_interface_id, "_gpl", "");
KSYMTAB_FUNC(usb_func_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_add_config_only, "_gpl", "");
KSYMTAB_FUNC(usb_add_config, "_gpl", "");
KSYMTAB_FUNC(usb_string_id, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_tab, "_gpl", "");
KSYMTAB_FUNC(usb_gstrings_attach, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_n, "_gpl", "");
KSYMTAB_FUNC(usb_composite_probe, "_gpl", "");
KSYMTAB_FUNC(usb_composite_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_composite_setup_continue, "_gpl", "");
KSYMTAB_FUNC(usb_composite_overwrite_options, "_gpl", "");
KSYMTAB_FUNC(usb_get_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_get_function, "_gpl", "");
KSYMTAB_FUNC(usb_put_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_put_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_register, "_gpl", "");
KSYMTAB_FUNC(usb_function_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_os_desc_prepare_interf_dir, "", "");
KSYMTAB_FUNC(unregister_gadget_item, "_gpl", "");
KSYMTAB_FUNC(alloc_ep_req, "_gpl", "");

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0x6c4f8099, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0xdc69015c, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0xda296e31, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0x34d9bc1a, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0xf51e5368, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0xe352899c, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0x9a0f6881, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0x39721099, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0x1dd82a61, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0x1eb7a9c5, "_gpl");
SYMBOL_CRC(usb_add_function, 0x890bb255, "_gpl");
SYMBOL_CRC(usb_remove_function, 0xfeadccc4, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0xba5a0ded, "_gpl");
SYMBOL_CRC(usb_function_activate, 0x1097b309, "_gpl");
SYMBOL_CRC(usb_interface_id, 0x4ec80fa8, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0x8a970d9c, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0x589c1b72, "_gpl");
SYMBOL_CRC(usb_add_config, 0x4d80d161, "_gpl");
SYMBOL_CRC(usb_string_id, 0x6a888ef6, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0x1daff72d, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0x71b7bbc8, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0x14fc0a84, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0x3997f379, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0x67bcd873, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0x5b300f7f, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0x86fc10d3, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0x4d9220b6, "_gpl");
SYMBOL_CRC(usb_get_function, 0xa4872876, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0xdd2cbd32, "_gpl");
SYMBOL_CRC(usb_put_function, 0x7e5d70e0, "_gpl");
SYMBOL_CRC(usb_function_register, 0xd576b4a1, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0x515f8563, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0x0d94b8b2, "");
SYMBOL_CRC(unregister_gadget_item, 0x74cc49c7, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x640cc173, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0xaa79ff43, "usb_gadget_unregister_driver" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x85402728, "config_item_init_type_name" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9a55f102, "config_item_put" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xe378336c, "usb_gadget_register_driver_owner" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x754d539c, "strlen" },
	{ 0xbd13bbe5, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x1a4c088f, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe12d428e, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd935dcbc, "config_group_init" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x2284a7ba, "usb_gadget_check_config" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xfb42d747, "usb_gadget_ep_match_desc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x647c5bdf, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1dfd699c, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7b8377e8, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb960f9a7, "usb_gadget_vbus_draw" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0xc3117749, "config_item_set_name" },
	{ 0xe5a5fcc9, "module_put" },
	{ 0x8c8eed8e, "usb_ep_dequeue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf104c8cc, "device_create_file" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0xf6f97794, "configfs_register_subsystem" },
	{ 0x0f159f3a, "init_uts_ns" },
	{ 0xd0d06eb6, "config_group_init_type_name" },
	{ 0x05024019, "usb_gadget_activate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x54b0e7c6, "usb_gadget_clear_selfpowered" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x2e82174c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f86d7, "usb_gadget_set_state" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "34EB67C2506D437EAC5786C");
