#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc945f883, "inode_newsize_ok" },
	{ 0xb79d5474, "d_drop" },
	{ 0x29a3a864, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xa37587f5, "block_invalidate_folio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xd7b984f0, "crypto_skcipher_decrypt" },
	{ 0x7c0ace63, "truncate_inode_pages_final" },
	{ 0xd2b3d124, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb93c30be, "__filemap_set_wb_err" },
	{ 0x0eeae3e8, "key_type_encrypted" },
	{ 0x6a8c7571, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x494440e6, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6484982b, "const_pcpu_hot" },
	{ 0x477dcad6, "__free_pages" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x93719535, "inode_init_once" },
	{ 0x312f28e2, "file_write_and_wait_range" },
	{ 0x323eda31, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb31df936, "vfs_get_link" },
	{ 0x4c7a1d28, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x9bb59dcc, "generic_file_read_iter" },
	{ 0x3c3cdd3d, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdb8f64b3, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xb58fd07c, "kmem_cache_alloc_lru_noprof" },
	{ 0xeec51313, "lock_rename" },
	{ 0x527d9d67, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x8b6c7a08, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x173d89ac, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x79ad79cf, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf8f4ad98, "sysfs_create_group" },
	{ 0x25642380, "release_dentry_name_snapshot" },
	{ 0x8abefb31, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x2e58f879, "folio_end_read" },
	{ 0x60301011, "block_dirty_folio" },
	{ 0xbb7010c0, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xdca99744, "kern_path" },
	{ 0xc0ab56b3, "vfs_set_acl" },
	{ 0x1a1f1040, "misc_register" },
	{ 0x78df77c0, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x336fe05d, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xccddf021, "key_validate" },
	{ 0x6bb77107, "__kmem_cache_create_args" },
	{ 0x704f006d, "unlock_rename" },
	{ 0x1bbda9c2, "vfs_rmdir" },
	{ 0xf5193534, "writeback_iter" },
	{ 0xbe368c75, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa762c4ad, "truncate_setsize" },
	{ 0x8932c09a, "kthread_create_on_node" },
	{ 0x2b932818, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa9190ccf, "vfs_symlink" },
	{ 0xbf4a2a03, "super_setup_bdi" },
	{ 0xe68f6331, "igrab" },
	{ 0x3ae50a78, "generic_read_dir" },
	{ 0x06290281, "d_instantiate_new" },
	{ 0x41655634, "d_add" },
	{ 0x2fd5fa65, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x85e56b94, "vfs_mknod" },
	{ 0xedbc1cc2, "init_user_ns" },
	{ 0x6a574baa, "dentry_open" },
	{ 0x56e511ed, "request_key_tag" },
	{ 0x4ed9ba86, "__folio_put" },
	{ 0xcf405a51, "vfs_fileattr_set" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0xd6f9b75f, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6775829, "seq_printf" },
	{ 0xdf8c153c, "dput" },
	{ 0x40174370, "take_dentry_name_snapshot" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x7c5f9359, "deactivate_locked_super" },
	{ 0x04351b48, "touch_atime" },
	{ 0xecb9733a, "lookup_one_len_unlocked" },
	{ 0x5b507157, "vfs_llseek" },
	{ 0x513eb322, "alloc_pages_noprof" },
	{ 0x13bc23b7, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xdc3a2e21, "__fs_parse" },
	{ 0x82e926bc, "filemap_splice_read" },
	{ 0x11b27cfc, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xb7c6fc13, "key_type_user" },
	{ 0x87361023, "kill_anon_super" },
	{ 0x3ae2a646, "vfs_getattr_nosec" },
	{ 0x557f8fbe, "iget5_locked" },
	{ 0x4668ab78, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8d703be3, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x5f8d40c8, "param_ops_int" },
	{ 0x79c70f37, "inode_permission" },
	{ 0xe08c2afb, "mntget" },
	{ 0x05160bc8, "crypto_alloc_shash" },
	{ 0xbed13e7f, "__mark_inode_dirty" },
	{ 0x07c7b88a, "generic_file_llseek" },
	{ 0xbd165bc7, "make_bad_inode" },
	{ 0xe5553b6d, "vfs_get_acl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x53ac700e, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xa8087b1a, "inode_set_ctime_to_ts" },
	{ 0x63d484d9, "iget_failed" },
	{ 0xfedb0d48, "kernel_write" },
	{ 0x8b137fdf, "kmem_cache_destroy" },
	{ 0xb1b6a215, "kobject_put" },
	{ 0x0e3cbbd9, "vfs_create" },
	{ 0x27315a89, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd193f925, "crypto_skcipher_encrypt" },
	{ 0x1c67fd89, "generic_fillattr" },
	{ 0xb815fb49, "setattr_prepare" },
	{ 0x8ae3a118, "filemap_migrate_folio" },
	{ 0x58557bb2, "clear_nlink" },
	{ 0xdd0a1070, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5b08b1fd, "d_instantiate" },
	{ 0xb25461ad, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc8f8edb0, "clear_inode" },
	{ 0x932c176f, "notify_change" },
	{ 0x8b2df44b, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a46401f, "vfs_rename" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb36d29dc, "fs_param_is_string" },
	{ 0x69f7dfe9, "folio_unlock" },
	{ 0xcd672d0a, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x2083024b, "init_special_inode" },
	{ 0xcadfda8f, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1c8dae1b, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5f9f17f4, "d_make_root" },
	{ 0x82a55f8e, "read_cache_folio" },
	{ 0xb582c8bf, "sget_fc" },
	{ 0x29e9cb1a, "d_splice_alias" },
	{ 0xa2591ff6, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x75925bc9, "iput" },
	{ 0xdf749fbb, "__vfs_getxattr" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2d9670bb, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x672db9ff, "crypto_skcipher_setkey" },
	{ 0x98470e83, "fsstack_copy_attr_all" },
	{ 0xa550d2e6, "register_filesystem" },
	{ 0xa4d2a6d2, "vfs_unlink" },
	{ 0xa6a73dde, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x330a5ae1, "wake_up_process" },
	{ 0x730fa185, "vfs_mkdir" },
	{ 0xeb7b90f0, "crypto_destroy_tfm" },
	{ 0x3adf1d59, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd6b5e560, "fs_param_is_u32" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CD9D086FAF778D4B94BC0A7");
