#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x426106ec, "");
SYMBOL_CRC(jbd2_journal_start, 0xe87679a3, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x6fe2b29e, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xe70c0a4d, "");
SYMBOL_CRC(jbd2__journal_restart, 0x3a67a607, "");
SYMBOL_CRC(jbd2_journal_restart, 0x34572802, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x29694785, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x7078053d, "");
SYMBOL_CRC(jbd2_journal_extend, 0x826703cb, "");
SYMBOL_CRC(jbd2_journal_stop, 0xbfee13b1, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xb08e644c, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xaf5a5f46, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x25023e87, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x455a3abe, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xc14288d9, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xc53fff1d, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x18fadc6c, "");
SYMBOL_CRC(jbd2_journal_forget, 0x86da43f1, "");
SYMBOL_CRC(jbd2_journal_flush, 0x7243081c, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xc829da76, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xd0ba9f85, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x8b986715, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x6b217e0e, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x01d1142f, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xc28689f3, "");
SYMBOL_CRC(jbd2_journal_load, 0x6fddc6e7, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x1eab59fc, "");
SYMBOL_CRC(jbd2_journal_abort, 0xd72c9999, "");
SYMBOL_CRC(jbd2_journal_errno, 0x62d26309, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xdd3a5f68, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xc9665fbf, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x50961154, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x1f991811, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x52dfa40f, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x606fa6e6, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xf89d2fc6, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xa09f40f1, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x02c2e9d2, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x4e1e89ab, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x019ff458, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x54469a30, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x7e7f18a8, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x6c9295b8, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x8d7d23d8, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x4eec4e7c, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xa6263721, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xfb8cf22e, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x6dc505ad, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x58dfb639, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x2f686d13, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x666c5a9b, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x4adebd15, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x58672054, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x42ac2a04, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x95393f25, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xfc9ff46e, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x10059e90, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x6f2e7b5b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3692263, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29061d98, "preempt_model_lazy" },
	{ 0x59ddb787, "try_to_free_buffers" },
	{ 0x8d614f54, "sync_blockdev" },
	{ 0xca5b39d6, "free_buffer_head" },
	{ 0x634866bf, "shrinker_register" },
	{ 0x6484982b, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x54f066e4, "blk_finish_plug" },
	{ 0xa8126a07, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xd3481249, "crc32_be_arch" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58a232ff, "bit_waitqueue" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd4b7dab1, "__brelse" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x3c1e62c0, "perf_trace_run_bpf_submit" },
	{ 0x05240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x0d79701f, "__bh_read_batch" },
	{ 0xc751ed6d, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x006b93c4, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x527d9d67, "kmem_cache_free" },
	{ 0xbd1bdacd, "__bh_read" },
	{ 0x6cad9e7d, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x31333af4, "blkdev_issue_zeroout" },
	{ 0x6255eeec, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc8ca2fe6, "freezing_slow_path" },
	{ 0x5171c9de, "bpf_trace_run1" },
	{ 0x0d4060dd, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x336fe05d, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6bb77107, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8932c09a, "kthread_create_on_node" },
	{ 0xa5f80efd, "bpf_trace_run3" },
	{ 0x43c999df, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcd19376a, "unlock_buffer" },
	{ 0xed4116bd, "crc32c_le_arch" },
	{ 0x102f593d, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x4ed9ba86, "__folio_put" },
	{ 0xb77433f3, "remove_proc_entry" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6775829, "seq_printf" },
	{ 0xe53c3a18, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8f85ec35, "truncate_inode_pages_range" },
	{ 0xbdf25231, "blkdev_issue_flush" },
	{ 0xa96ad951, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xcaa60e1c, "end_buffer_write_sync" },
	{ 0x1acf8dd0, "seq_open" },
	{ 0x8d703be3, "bmap" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x8b137fdf, "kmem_cache_destroy" },
	{ 0x4fef3303, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xad3c9a46, "bh_uptodate_or_lock" },
	{ 0x45332871, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9ef0b913, "blk_start_plug" },
	{ 0xb26f5b72, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x69f7dfe9, "folio_unlock" },
	{ 0xc5a3d19a, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf79ad7f7, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1e8fb42e, "bpf_trace_run6" },
	{ 0xabad4bdd, "mark_buffer_dirty" },
	{ 0x76f4c8e2, "__find_get_block" },
	{ 0xd3f2e9e1, "__trace_trigger_soft_disabled" },
	{ 0x9ef56656, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xecfe3860, "trace_event_printf" },
	{ 0x374eb1b8, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x37ae3e47, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x672d2e9c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x75925bc9, "iput" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0x845716b3, "seq_lseek" },
	{ 0x3174ee51, "blockdev_superblock" },
	{ 0x25d655da, "proc_create_data" },
	{ 0xb88c9272, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x23af8423, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xeadd9af1, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb4952c3b, "alloc_buffer_head" },
	{ 0x330a5ae1, "wake_up_process" },
	{ 0x21221193, "shrinker_free" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E2719417B2629E7F14CFF0D");
