#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xa619e0bd, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x0e599637, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x74f96875, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x9c91ae00, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x514016ee, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x77daa9dc, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xfea8ff8d, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x3d2ea010, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x53cf34b2, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x16a0307c, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x36b3ca7f, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x4b7fc979, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x1f1dc69e, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xef37c16d, "_gpl");
SYMBOL_CRC(dccp_connect, 0x09cd93b0, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x05fca917, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x1434de15, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x0df4e849, "_gpl");
SYMBOL_CRC(dccp_done, 0x2b9ded43, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xe9f8dd6c, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0xf50b8177, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x7c6f4913, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xc69f9361, "_gpl");
SYMBOL_CRC(dccp_poll, 0xd15cfd84, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x15044013, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x2943b6aa, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x93f007b0, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x74c9178c, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0xfcb4ccf2, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xaec37b53, "_gpl");
SYMBOL_CRC(dccp_close, 0x112b28af, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xf09f8a9f, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa928824e, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x634ffc89, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x21de0a8f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6484982b, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x0743c482, "sk_reset_timer" },
	{ 0x07e717b0, "skb_queue_tail" },
	{ 0xfc4f1f8b, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x3c1e62c0, "perf_trace_run_bpf_submit" },
	{ 0x3ac5bb2a, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x30d6e1f5, "ip6_mtu" },
	{ 0xb1cdc0ee, "sk_skb_reason_drop" },
	{ 0x0297ae1e, "sk_free" },
	{ 0x211ba29b, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7e25e952, "skb_push" },
	{ 0x527d9d67, "kmem_cache_free" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x6cad9e7d, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2fff7efc, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xaab139a7, "skb_copy_datagram_iter" },
	{ 0x33936c56, "tcp_stream_memory_free" },
	{ 0x49fa0f27, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x6c62bd54, "sk_wait_data" },
	{ 0x9d017146, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x336fe05d, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa3b2a7f8, "inet_twsk_hashdance_schedule" },
	{ 0x6bb77107, "__kmem_cache_create_args" },
	{ 0xf330a4aa, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffd283f1, "inet_csk_listen_start" },
	{ 0x0d65fcd0, "sk_free_unlock_clone" },
	{ 0xdd5aab2c, "sock_rfree" },
	{ 0x45423b6e, "ipv4_mtu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x8d9a56e3, "skb_set_owner_w" },
	{ 0x102f593d, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff5f126b, "param_ops_bool" },
	{ 0xf92e76a7, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc5fa4d05, "skb_clone" },
	{ 0xbec7974b, "inet_sk_set_state" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8c660976, "dst_release" },
	{ 0x0a057048, "sk_stream_wait_connect" },
	{ 0xb2916788, "_copy_from_iter" },
	{ 0x158abcbb, "inet_csk_destroy_sock" },
	{ 0x564962d9, "sk_stop_timer" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x5b9bbdc2, "inet_rtx_syn_ack" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5f8d40c8, "param_ops_int" },
	{ 0xf383c14f, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2f8ed407, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53e2ba2b, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x8b137fdf, "kmem_cache_destroy" },
	{ 0x31cfbc26, "inet_csk_complete_hashdance" },
	{ 0xc9ffaa92, "release_sock" },
	{ 0x8a37ab53, "inet_csk_reqsk_queue_drop" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0x73e1dfc9, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0x8808d7bb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e8cb9b3, "consume_skb" },
	{ 0x9eb74748, "sock_wmalloc" },
	{ 0xf79ad7f7, "trace_raw_output_prep" },
	{ 0xff3d3417, "skb_dequeue" },
	{ 0xd3f2e9e1, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xecfe3860, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5abcfeaf, "__kmalloc_node_track_caller_noprof" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x672d2e9c, "trace_event_raw_init" },
	{ 0x266f0d20, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb88c9272, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xeb50ed17, "inet_csk_clear_xmit_timers" },
	{ 0x00148653, "vsnprintf" },
	{ 0x97c8d126, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3df2982b, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf3692263, "trace_event_buffer_commit" },
	{ 0xb3bd4c1d, "register_net_sysctl_sz" },
	{ 0xe594d427, "inet_sock_destruct" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "055127683F33B3C8EADDE25");
