#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_supports_eee, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_user, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0x6e50d33a, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x050c8da6, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xa67c35bc, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xb435ecaa, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x876c69cf, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x07bbb564, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x75a429ca, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x4a3aece8, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x8ad99dba, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x3a40b265, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x7e93300f, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x1d81ef28, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x9f36ac81, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x707a3c53, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x8c8ea17a, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x9900b513, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0xc3e8a15a, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x1866e7b4, "_gpl");
SYMBOL_CRC(dsa_supports_eee, 0x72f799d9, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x3b0f910d, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0xa26e94b9, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x4bfb790f, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xe2b30a26, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x807a789f, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0xdb80ee2a, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0xa69b15b6, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x8d0ebc6e, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_user, 0x4e950519, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x63aaee66, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x1fdf2803, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xadc82b3f, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0x450f7de1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x856fb0a5, "put_device" },
	{ 0x265c1dc8, "netdev_upper_get_next_dev_rcu" },
	{ 0xc5356bb4, "devl_resource_occ_get_unregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x8ecdbff2, "netif_device_detach" },
	{ 0x6484982b, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x42bbc074, "switchdev_bridge_port_offload" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0x64a21769, "netif_device_attach" },
	{ 0x5756d715, "devl_resource_register" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0xe5a5fcc9, "module_put" },
	{ 0xf9d9d84d, "ptp_classify_raw" },
	{ 0xc299ea2b, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xda15dbb9, "devlink_region_create" },
	{ 0x4c38069e, "vlan_dev_real_dev" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xb83b05f4, "__dev_get_by_index" },
	{ 0x19f3d9e2, "rtnl_link_unregister" },
	{ 0x3c1e62c0, "perf_trace_run_bpf_submit" },
	{ 0x49dd74fe, "devlink_port_unregister" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x3ac5bb2a, "init_net" },
	{ 0xd6551c9a, "noop_qdisc" },
	{ 0x0bbfdb1f, "phy_ethtool_get_strings" },
	{ 0x92c3b81f, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x31ec8318, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb1cdc0ee, "sk_skb_reason_drop" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xd5d89009, "dev_remove_pack" },
	{ 0xc751ed6d, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b35dee6, "gro_cells_receive" },
	{ 0xfcd38b3c, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x7e25e952, "skb_push" },
	{ 0x49ac363c, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x77d911ae, "dev_mc_del" },
	{ 0x6cad9e7d, "trace_event_reg" },
	{ 0x5f53e63a, "br_vlan_get_info" },
	{ 0x0323dfcc, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe0604d88, "mdiobus_free" },
	{ 0xf8f4ad98, "sysfs_create_group" },
	{ 0xe06bd194, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x96905e9a, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x08213956, "phylink_ethtool_get_wol" },
	{ 0x6cabd4c3, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4402aec9, "switchdev_bridge_port_unoffload" },
	{ 0x2e82174c, "_dev_warn" },
	{ 0x1586c76c, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x3cdc850a, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xd6ecacdc, "netif_rx" },
	{ 0xf9ee8b27, "dev_mc_add" },
	{ 0xefa17caa, "flow_block_cb_alloc" },
	{ 0xeb997d7e, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x63fef028, "skb_trim" },
	{ 0xceee984f, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x69595f9a, "__dynamic_netdev_dbg" },
	{ 0x1e6d61a2, "pv_ops" },
	{ 0x2b932818, "sysfs_remove_group" },
	{ 0x6a54d759, "net_selftest" },
	{ 0xa5f80efd, "bpf_trace_run3" },
	{ 0xa6c9fbde, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xefc0d9bc, "phylink_ethtool_ksettings_set" },
	{ 0xbf5668b0, "devlink_port_init" },
	{ 0xc16b1f12, "__netpoll_setup" },
	{ 0xf07c7e03, "__dev_queue_xmit" },
	{ 0x9ed79516, "vlan_vid_add" },
	{ 0x661dc8eb, "devlink_params_register" },
	{ 0x102f593d, "trace_event_buffer_reserve" },
	{ 0xdc11fcfe, "br_vlan_get_info_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x1fcbcaff, "vlan_vid_del" },
	{ 0xf22170a5, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x03e4179b, "devlink_resources_unregister" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x7dfb2fcf, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5ca8e96, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5ba25059, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6a15bc77, "devlink_port_region_create" },
	{ 0x9e982d12, "devlink_priv" },
	{ 0xc32e19e2, "skb_copy" },
	{ 0xb6333f20, "__hw_addr_sync_dev" },
	{ 0x6dde70e2, "devlink_port_register_with_ops" },
	{ 0x5dd8b4d5, "mdiobus_get_phy" },
	{ 0x8c660976, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x99681848, "__mdiobus_register" },
	{ 0x5bfbb43f, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x61ce4367, "dev_uc_add" },
	{ 0xaedb0050, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x71a02de8, "br_mst_enabled" },
	{ 0x24f169c4, "devl_resource_occ_get_register" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x91c011eb, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x11e4f6aa, "dev_kfree_skb_any_reason" },
	{ 0x85eff187, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x26d803b8, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xb2e0beec, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x4548eab6, "dcb_ieee_setapp" },
	{ 0x830c967a, "phy_ethtool_get_sset_count" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbc0928d7, "__skb_vlan_pop" },
	{ 0xe504c0b5, "phylink_connect_phy" },
	{ 0xa2be15bd, "br_get_ageing_time" },
	{ 0x8434be8e, "register_netdevice" },
	{ 0xe0f5fd26, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x22aae2cf, "netdev_lower_get_next" },
	{ 0xcb6dafbe, "flow_block_cb_lookup" },
	{ 0xc317ed93, "switchdev_handle_port_obj_add_foreign" },
	{ 0x6430b7c6, "dev_set_mtu" },
	{ 0x6d4355e5, "br_vlan_enabled" },
	{ 0x80ef9222, "__skb_pad" },
	{ 0xe12d428e, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd09b7a55, "skb_ensure_writable_head_tail" },
	{ 0xb26f5b72, "bpf_trace_run4" },
	{ 0xaa5a956d, "devlink_unregister" },
	{ 0x1552d68f, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xaea7fd43, "br_port_flag_is_set" },
	{ 0xcf4d064d, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xedabe44e, "call_switchdev_notifiers" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe051652b, "br_port_get_stp_state" },
	{ 0x5e8cb9b3, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3d55c8a0, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb9ad8f22, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x101197a0, "__netpoll_free" },
	{ 0xf79ad7f7, "trace_raw_output_prep" },
	{ 0xfb8a1b4e, "br_vlan_get_proto" },
	{ 0x33ba169c, "devl_lock" },
	{ 0xfb4f7c38, "br_mst_get_state" },
	{ 0xb8b8b1f4, "unregister_netdev" },
	{ 0xd3f2e9e1, "__trace_trigger_soft_disabled" },
	{ 0xecfe3860, "trace_event_printf" },
	{ 0xeff9d9ee, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x53d08e34, "netpoll_send_skb" },
	{ 0x556cc9be, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x406a7b01, "devlink_params_unregister" },
	{ 0x4c14610a, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x672d2e9c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xd9935394, "devlink_alloc_ns" },
	{ 0xd5e3a165, "dev_set_promiscuity" },
	{ 0xae64a708, "devlink_register" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0xae08a304, "devlink_free" },
	{ 0x9d2b8e28, "gro_cells_init" },
	{ 0xb88c9272, "bpf_trace_run2" },
	{ 0xf55178ac, "netdev_warn" },
	{ 0x42f82c43, "unregister_netdevice_queue" },
	{ 0x19584207, "get_device" },
	{ 0x230e9476, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbc6218f5, "ether_setup" },
	{ 0x536ecdee, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x00d8c79c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x11152912, "netdev_upper_dev_link" },
	{ 0xb4ab77a0, "pskb_expand_head" },
	{ 0x6c202cc8, "switchdev_handle_port_attr_set" },
	{ 0x932eb85f, "phylink_create" },
	{ 0x164d99bb, "vlan_for_each" },
	{ 0xf79894e8, "netdev_port_same_parent_id" },
	{ 0xf3692263, "trace_event_buffer_commit" },
	{ 0xe43c479e, "dev_addr_mod" },
	{ 0xe59180f3, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6cf84c3c, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x45571726, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7d4ec724, "vlan_dev_vlan_proto" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "C07E617F7226F20FB556D2F");
