#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0xc887bea4, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0xee2af508, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0xbc05a4dd, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x47f7c238, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0x525cc5cf, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0x696d179b, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0xb9289b83, "_gpl");
SYMBOL_CRC(inet_diag_register, 0x76a357bf, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x0a03e6a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe12d428e, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0xb4ab77a0, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe5a5fcc9, "module_put" },
	{ 0xd492547b, "__netlink_dump_start" },
	{ 0xc10239fb, "sock_diag_unregister" },
	{ 0xcd622c56, "sock_diag_unregister_inet_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0xcf9385a6, "sock_diag_register" },
	{ 0xb4f6fcc6, "sock_diag_register_inet_compat" },
	{ 0x3fe8ab71, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0x728ecf3a, "inet6_lookup" },
	{ 0xb3d597db, "sock_diag_check_cookie" },
	{ 0xe26d73b4, "sock_gen_put" },
	{ 0xf7de469e, "__inet_lookup_established" },
	{ 0x8f59c5a5, "__inet_lookup_listener" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x1552d68f, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x19b091ab, "sock_diag_put_meminfo" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x79346b50, "bpf_sk_storage_diag_put" },
	{ 0xa916b694, "strnlen" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x21de0a8f, "__alloc_skb" },
	{ 0xb1cdc0ee, "sk_skb_reason_drop" },
	{ 0x1cd430a8, "netlink_unicast" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x0297ae1e, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9190dc58, "sock_diag_save_cookie" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x8a27c9ca, "sock_i_uid" },
	{ 0x8919f544, "from_kuid_munged" },
	{ 0xd6ae779c, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x63fef028, "skb_trim" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C6793C36E2C09683FC8B80");
