#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0xda57c6fc, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x6e2ee2fb, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0xbc6c4a0b, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x817ef845, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x0d0f91f9, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x47e5b7b0, "rtnl_af_register" },
	{ 0x21de0a8f, "__alloc_skb" },
	{ 0x18b82b46, "rtnl_set_sk_err" },
	{ 0x10c5a93e, "rtnl_unicast" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x8cf9fbf1, "ip_valid_fib_dump_req" },
	{ 0xb83b05f4, "__dev_get_by_index" },
	{ 0x3fbffdef, "ipv6_stub" },
	{ 0xf05a36cf, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf737dd47, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5e540d8d, "rtnl_af_unregister" },
	{ 0xb1cdc0ee, "sk_skb_reason_drop" },
	{ 0xd5d89009, "dev_remove_pack" },
	{ 0x3fe6bb24, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7e25e952, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x4143dbab, "__rtnl_register_many" },
	{ 0xcd279169, "nla_find" },
	{ 0x724c50b5, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xe7bc1ab8, "ip_tunnel_encap_del_ops" },
	{ 0x7e935d10, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x174e2da2, "__pskb_pull_tail" },
	{ 0x63fef028, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x00aa1603, "xa_find" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x30a9ee1d, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc5fa4d05, "skb_clone" },
	{ 0x8c660976, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x303a441a, "dev_get_flags" },
	{ 0x4caad9fc, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xac0d7a66, "netlink_strict_get_check" },
	{ 0x2a542233, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1552d68f, "__nlmsg_put" },
	{ 0xf25bd323, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5e8cb9b3, "consume_skb" },
	{ 0x3d55c8a0, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7b6e1b84, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xff441418, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x24029609, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb4ab77a0, "pskb_expand_head" },
	{ 0x8bab4b79, "register_pernet_subsys" },
	{ 0xb3bd4c1d, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "22CFE80B4DBDCE81A381009");
