#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x6e55621e, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x5218baf4, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x72e4d498, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x655bde95, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x1a99a25a, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0xafce7c14, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x6c9ab906, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x83523381, "nf_ct_remove_expect" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xe8afa468, "__nf_ct_expect_find" },
	{ 0x7111f922, "nf_ct_expect_alloc" },
	{ 0x3d2d8fcf, "nf_ct_expect_init" },
	{ 0x2070b47d, "nf_ct_expect_related_report" },
	{ 0x33500fcb, "nf_ct_expect_put" },
	{ 0xdd860e7f, "__nf_ip6_route" },
	{ 0x8c660976, "dst_release" },
	{ 0x5cbe5e7b, "nf_ip_route" },
	{ 0x826a8a50, "nf_ct_unexpect_related" },
	{ 0x266e55cf, "nf_ct_helper_log" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf010d35e, "__nf_ct_refresh_acct" },
	{ 0x174e2da2, "__pskb_pull_tail" },
	{ 0x9c32329e, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x5f8d40c8, "param_ops_int" },
	{ 0x8b2df44b, "param_ops_uint" },
	{ 0x7ba0f07e, "param_array_ops" },
	{ 0x5d945b3e, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb2678c7c, "nf_ct_helper_init" },
	{ 0xc389ca4e, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd7fb4cd, "nf_conntrack_helpers_unregister" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "16F54D87A0A64D5CA4D3C7D");
