#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(gss_mech_register, 0x20f72323, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xd00471bd, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x64ca7221, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xd3ef1a18, "");
SYMBOL_CRC(gss_mech_put, 0x86932a9c, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xb2f30efe, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x0721b9d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5d696e4, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x30c53366, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6cad9e7d, "trace_event_reg" },
	{ 0xc72c4ff3, "rpc_call_null" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a9d7271, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc2a9698a, "rpc_sleep_on_timeout" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x35f66fdd, "rpc_create" },
	{ 0x5171c9de, "bpf_trace_run1" },
	{ 0x0f1c8f2c, "rpc_call_sync" },
	{ 0xbb7010c0, "from_kuid" },
	{ 0x7e935d10, "unregister_pernet_subsys" },
	{ 0xfae010ed, "rpc_queue_upcall" },
	{ 0x127740d0, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x04816b9f, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xea7caf2f, "svcauth_unix_set_client" },
	{ 0x18ca5fa3, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x59808bad, "make_kgid" },
	{ 0x2d5aec0a, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x15d32434, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x48f3f850, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xa5f80efd, "bpf_trace_run3" },
	{ 0x2f21a1f6, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xffd4438a, "rpc_mkpipe_dentry" },
	{ 0x16a6f529, "rpc_mkpipe_data" },
	{ 0x4122a02f, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x102f593d, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x635ac3e7, "cache_register_net" },
	{ 0xedbc1cc2, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xae83d4d6, "xdr_inline_pages" },
	{ 0x4ed9ba86, "__folio_put" },
	{ 0xb77433f3, "remove_proc_entry" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0x7e9d610e, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x513eb322, "alloc_pages_noprof" },
	{ 0xc872a46e, "rpc_unlink" },
	{ 0xaaeb0c96, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x8919f544, "from_kuid_munged" },
	{ 0x04308fc5, "rpcauth_init_cred" },
	{ 0x92d02550, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd7adea73, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x17c22183, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7afff94e, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x495e674d, "sunrpc_cache_update" },
	{ 0xf2a9be41, "xdr_truncate_encode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x05b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x70c200ba, "auth_domain_put" },
	{ 0x4f1e91cb, "rpcauth_unwrap_resp_decode" },
	{ 0xf777bfbe, "rpcauth_register" },
	{ 0x75d5759c, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe12d428e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8837a5c0, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x2c66a500, "xdr_buf_from_iov" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb26f5b72, "bpf_trace_run4" },
	{ 0xa3159644, "xdr_stream_decode_opaque_auth" },
	{ 0x8b2df44b, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa79a27f1, "xdr_write_pages" },
	{ 0x20b4ec75, "rpc_shutdown_client" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x11604622, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x0e88525f, "xdr_inline_decode" },
	{ 0xb134f52f, "cache_create_net" },
	{ 0xfb5ecec9, "rpcauth_destroy_credcache" },
	{ 0xf79ad7f7, "trace_raw_output_prep" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x1e8fb42e, "bpf_trace_run6" },
	{ 0x92734ef1, "rpc_net_ns" },
	{ 0x6a7779fe, "read_bytes_from_xdr_buf" },
	{ 0xd3f2e9e1, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xecfe3860, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x21318187, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x672d2e9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x25d655da, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xb88c9272, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1306fe86, "xdr_truncate_decode" },
	{ 0xde5ef13e, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3b21e77c, "__xdr_commit_encode" },
	{ 0xcda34f61, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb4ce600b, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9301e6ed, "__put_cred" },
	{ 0x8bab4b79, "register_pernet_subsys" },
	{ 0xf3692263, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5bdd4e9a, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xc5efdf1a, "rpc_release_client" },
	{ 0xc67de076, "auth_domain_lookup" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x15aae389, "svc_auth_register" },
	{ 0x6949f956, "xdr_stream_encode_opaque_auth" },
	{ 0xb5d84e89, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x6484982b, "const_pcpu_hot" },
	{ 0x053556ba, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x477dcad6, "__free_pages" },
	{ 0xa55b5f38, "rpc_pipe_generic_upcall" },
	{ 0xe5a5fcc9, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x4021e6fd, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8814901d, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x3c1e62c0, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x780b9eab, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x8cb423e3, "rpcauth_init_credcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "6969FCD552F61778117FF1A");
