#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0xcf0c04c2, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x1d3d844a, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x61a58f40, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85cb3dd8, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x78567e9f, "cs35l56_get_calibration" },
	{ 0x4bb2acde, "__pm_runtime_set_status" },
	{ 0x867f62ee, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ac169ff, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xd979864e, "device_property_read_u32_array" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6c6d5f87, "cs35l56_init_cs_dsp" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x05c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x0fa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfb6433ef, "cs_dsp_halo_init" },
	{ 0xc690e0c0, "cs_dsp_power_down" },
	{ 0x88b33cc8, "debugfs_remove" },
	{ 0x8fef4136, "cs35l56_runtime_suspend_common" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xf02fe600, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9a9a70fb, "cs35l56_mbox_send" },
	{ 0x7ab70020, "cs35l56_hw_init" },
	{ 0x2e82174c, "_dev_warn" },
	{ 0x5ed87054, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7906cec2, "cs_dsp_power_up" },
	{ 0x287e3e7f, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x249867d5, "cs35l56_wait_for_firmware_boot" },
	{ 0x1e26ed59, "devm_kasprintf" },
	{ 0x3578eebc, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x543116cb, "cs35l56_is_fw_reload_needed" },
	{ 0xbee19b62, "regmap_read" },
	{ 0x9c4cb549, "cs_dsp_run" },
	{ 0xd30ec020, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x340f7304, "cs_amp_write_cal_coeffs" },
	{ 0x65758ca6, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x340e27a9, "cs35l56_runtime_resume_common" },
	{ 0x77fadbe9, "regmap_update_bits_base" },
	{ 0xe49f52a4, "dev_err_probe" },
	{ 0x1e19e102, "regmap_multi_reg_write" },
	{ 0x9f1b82ed, "__pm_runtime_suspend" },
	{ 0x908e7670, "component_add" },
	{ 0x7e2fcffc, "set_primary_fwnode" },
	{ 0x5010396e, "__pm_runtime_use_autosuspend" },
	{ 0xa6bde267, "devm_gpiod_get_index_optional" },
	{ 0x1eec718b, "__pm_runtime_disable" },
	{ 0xff8762ad, "debugfs_create_dir" },
	{ 0xa7176217, "cs35l56_firmware_shutdown" },
	{ 0xa2a21bc4, "pm_runtime_force_suspend" },
	{ 0xad357388, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x0fb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x615d25e2, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xde60cf6b, "regcache_cache_only" },
	{ 0x36d622b7, "is_acpi_device_node" },
	{ 0x84642511, "regcache_sync" },
	{ 0x3a090b0b, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0xc056f035, "firmware_request_nowarn" },
	{ 0x2e5bf3ee, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9e923e39, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd506ecf6, "cs_dsp_stop" },
	{ 0x6b229628, "pm_runtime_set_autosuspend_delay" },
	{ 0x14997091, "gpiod_set_value_cansleep" },
	{ 0x0bd1a635, "component_del" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa55e3a51, "sound_debugfs_root" },
	{ 0xa9ccb3bd, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x49e38774, "cs_dsp_init_debugfs" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "F1997E49FF05EA8C6A3DB94");
