#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0x01c20c6c, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0x9aa07d84, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0x302c8572, "");
SYMBOL_CRC(mtl_enable_interrupts, 0x556bc7de, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0x41f6cda7, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x045d7fee, "");
SYMBOL_CRC(mtl_dsp_dump, 0xf7e97702, "");
SYMBOL_CRC(mtl_power_down_dsp, 0x6df4f3e4, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0xca825395, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0x427096e2, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0xd12926bd, "");
SYMBOL_CRC(mtl_ipc_dump, 0xb8efa936, "");
SYMBOL_CRC(mtl_dsp_core_get, 0x569b093f, "");
SYMBOL_CRC(mtl_dsp_core_put, 0xe128a9ec, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeef3bc22, "__pci_register_driver" },
	{ 0x037a0cba, "kfree" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0xf0f3c224, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x21504466, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0x56a11aa8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d26b186, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2b62facb, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe0a3db14, "hda_pci_intel_probe" },
	{ 0xc35f4b89, "snd_sof_dsp_dbg_dump" },
	{ 0xc1a4513b, "sof_mailbox_write" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x35e88657, "debugfs_create_bool" },
	{ 0x031d7ce6, "snd_sof_dsp_update_bits_forced" },
	{ 0x3e504b42, "sof_pci_remove" },
	{ 0x3ae060ad, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4e4cca8c, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1558b065, "snd_sof_ipc_get_reply" },
	{ 0x32229a51, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4758a43d, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x5d40c026, "snd_sof_ipc_reply" },
	{ 0xeed8be71, "hda_ipc4_tx_is_busy" },
	{ 0x830752e8, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0x9530d382, "hda_ops_free" },
	{ 0xdf13d64c, "sof_pci_shutdown" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x2d9a3fea, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf6729017, "hda_dsp_get_state" },
	{ 0x0bd39fbd, "hda_dsp_ipc4_load_library" },
	{ 0xfe50a3fb, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x85117046, "sof_pci_pm" },
	{ 0xd08499f3, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0x63ac09eb, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x15fe9f10, "hda_sdw_check_wakeen_irq_common" },
	{ 0xfc696118, "snd_soc_acpi_intel_arl_machines" },
	{ 0xf5a420b1, "hda_dsp_shutdown" },
	{ 0x31a42ce9, "hda_sdw_int_enable" },
	{ 0x3977e8be, "hda_sdw_startup" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "252A129CF5CC6CE6B15408F");
