#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x362ec3ae, "");
SYMBOL_CRC(ishtp_start, 0x738327e1, "");
SYMBOL_CRC(ishtp_send_suspend, 0x766c4a46, "");
SYMBOL_CRC(ishtp_send_resume, 0x93ccdc1b, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0xb63b8809, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x242db895, "");
SYMBOL_CRC(ishtp_cl_free, 0x9e809fdd, "");
SYMBOL_CRC(ishtp_cl_link, 0x69359694, "");
SYMBOL_CRC(ishtp_cl_unlink, 0xe030724a, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x9aae7f6a, "");
SYMBOL_CRC(ishtp_cl_connect, 0x5157a244, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0x07932515, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0xb1789a63, "");
SYMBOL_CRC(ishtp_cl_send, 0xfd7d8a95, "");
SYMBOL_CRC(ishtp_get_client_data, 0xfb8eefa9, "");
SYMBOL_CRC(ishtp_set_client_data, 0x0d029b3f, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x1f252f3e, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x47dd188c, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0xaf9c3c22, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x74d476bb, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x8f331e47, "");
SYMBOL_CRC(ishtp_recv, 0x373a0f61, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x35b6b9a2, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x121a7dd2, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0xb37f5d6a, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0xe5f778ba, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x1fa117c6, "");
SYMBOL_CRC(ishtp_get_device, 0xe5d6b160, "");
SYMBOL_CRC(ishtp_put_device, 0xdf46d28c, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x78bfa9e6, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x9a746fc6, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xf6aab536, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xb4b200a0, "");
SYMBOL_CRC(ishtp_reset_handler, 0x7975ecf8, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x21b4489e, "");
SYMBOL_CRC(ishtp_device, 0x19ce5330, "");
SYMBOL_CRC(ishtp_wait_resume, 0x2fdbb9fb, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x0b02e572, "");
SYMBOL_CRC(ishtp_trace_callback, 0x365f57a2, "");
SYMBOL_CRC(ish_hw_reset, 0xad1d0f90, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0xd45642b5, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x663cd144, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x856fb0a5, "put_device" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd0e5c2d3, "bus_unregister" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf681a661, "dma_alloc_attrs" },
	{ 0x7c9a1a37, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xef42aed8, "device_register" },
	{ 0x2e82174c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x0c805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0aa243fb, "dma_free_attrs" },
	{ 0xea335d6e, "crc32_le_arch" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe49f52a4, "dev_err_probe" },
	{ 0xd6083357, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0x5f8d40c8, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeea1675a, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x1f9d0467, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xc056f035, "firmware_request_nowarn" },
	{ 0xff227fdd, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x58002d5e, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "12E3F535B273D695E26BAAE");
