#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46306dc8, "usb_get_dev" },
	{ 0x516dcd59, "usb_submit_urb" },
	{ 0x791d2060, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x2818c3be, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x47c7fe5a, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe021e2b3, "usb_control_msg" },
	{ 0x5d747f4b, "v4l2_ctrl_subscribe_event" },
	{ 0xea6b736c, "v4l2_fh_init" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbf6e1f42, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x529d71a8, "i2c_new_client_device" },
	{ 0x0684af5d, "usb_deregister" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6512e6a8, "v4l2_device_disconnect" },
	{ 0x69449493, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0xa127a062, "v4l2_device_register" },
	{ 0x5f0c1eab, "i2c_add_adapter" },
	{ 0xcf299222, "v4l2_ctrl_activate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xff5f126b, "param_ops_bool" },
	{ 0x868fbaa2, "__video_register_device" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x432c04d5, "usb_kill_urb" },
	{ 0x0c68609d, "v4l2_ctrl_new_std" },
	{ 0x3b6577b2, "v4l2_ctrl_handler_free" },
	{ 0xa675731e, "v4l2_device_unregister" },
	{ 0x57ad7bb4, "v4l2_ctrl_log_status" },
	{ 0x5f8d40c8, "param_ops_int" },
	{ 0x3f0bd1de, "v4l2_ctrl_cluster" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x44646d71, "v4l2_event_unsubscribe" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xaa1879b0, "usb_alloc_urb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x0b607521, "v4l2_ctrl_poll" },
	{ 0xe0af0255, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6e6b1ca9, "usb_free_urb" },
	{ 0x8b2df44b, "param_ops_uint" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xeb963530, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7588d109, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb56949c3, "usb_register_driver" },
	{ 0xccc88bc6, "v4l2_ctrl_handler_init_class" },
	{ 0x7ba0f07e, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x453e2016, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xc3fadc4f, "usb_put_dev" },
	{ 0x1caa8224, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdc26ef54, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,v4l2-dv-timings");

MODULE_ALIAS("usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4903d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D86FD15374FD8D382AA54B6");
