#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x61320389, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x3776ff28, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xb89806e1, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x84c2c809, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x57081357, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x00f86160, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x05a79ff4, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0xc63e5446, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0xf7f801b0, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x732e4efc, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x9c28bd28, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x7a7ff366, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x4da1455c, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x34bfd632, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x84d41b3f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0xa3ac9315, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x51345313, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x2ba1305b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x62fe2983, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x0ce54f9c, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xdce98832, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x80bed773, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x247b5337, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x0a658fcf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e99ae86, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xeef3bc22, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x2b980f49, "pci_disable_msi" },
	{ 0x1ca4382c, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x56a11aa8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27154254, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b15ade1, "pm_schedule_suspend" },
	{ 0xb2487533, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe45e97b, "pci_enable_msi" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa3ae7686, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf681a661, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4497df17, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x0b19b445, "ioread8" },
	{ 0x127e598f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbff279b0, "pm_runtime_forbid" },
	{ 0x0aa243fb, "dma_free_attrs" },
	{ 0xec36056f, "pm_runtime_allow" },
	{ 0xd30ec020, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff5f126b, "param_ops_bool" },
	{ 0xfc6639e1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf6159816, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfd04c00f, "pci_disable_device" },
	{ 0x05b8f20d, "mfd_remove_devices" },
	{ 0xb142f995, "dma_set_mask" },
	{ 0x4ebf8e42, "dma_unmap_sg_attrs" },
	{ 0x7349f447, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xad357388, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47cf8dda, "pci_write_config_dword" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xcbeef562, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa09d5618, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xcb8ef87a, "pci_find_ext_capability" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");
