#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x24e67895, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x67875f96, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x116a104b, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x1f862a47, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x71791f1d, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x60858f6e, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x00149051, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x919dd112, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x0186bc28, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xd638cce4, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x07bcdf68, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x88ebc3a7, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xfe0d98b5, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xc556b6ea, "_gpl");
SYMBOL_CRC(mtd_erase, 0x753c6bde, "_gpl");
SYMBOL_CRC(mtd_point, 0x6874624a, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xf94bd4ff, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x2f1f02b1, "_gpl");
SYMBOL_CRC(mtd_read, 0x2da9da3f, "_gpl");
SYMBOL_CRC(mtd_write, 0xac882ba7, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x40417c03, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x5791bad8, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xfb02dcb9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xdb6196da, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x7c38b6d3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x04b97fb7, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xbd81e4cb, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x255b2603, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x788f3103, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xcb31cec5, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x0f297ab3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x7598a48a, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0xdc176566, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x851ef740, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x6b399a6c, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x16bdc63e, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xfb01c012, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x178f25b6, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x439d760c, "_gpl");
SYMBOL_CRC(mtd_lock, 0x4228bedb, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x37f839dc, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x723eb71c, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x65de1406, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x1c964bc1, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xedb4a62f, "_gpl");
SYMBOL_CRC(mtd_writev, 0xa5dc1171, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xe821a4df, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x3ed93a99, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0xf3e8e7e3, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x189ad2a9, "");
SYMBOL_CRC(mtd_concat_destroy, 0xddb88d47, "");
SYMBOL_CRC(mtd_add_partition, 0x044675ca, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x8898d969, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xf2ec6ee9, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xaf721905, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xd872b24e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8f11603, "idr_alloc" },
	{ 0x96166bff, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x88b33cc8, "debugfs_remove" },
	{ 0xc8da0aaf, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfa9fe31a, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x24e715ab, "bdi_alloc" },
	{ 0xef42aed8, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44d94a46, "__register_chrdev" },
	{ 0x31cec93f, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x25386121, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb77433f3, "remove_proc_entry" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x4ad7d90a, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6775829, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x7c5f9359, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe49f52a4, "dev_err_probe" },
	{ 0xadae5679, "proc_create_single_data" },
	{ 0xea9cd153, "nvmem_register" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xff8762ad, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x92b92221, "class_register" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe0890ece, "generic_shutdown_super" },
	{ 0xe12d428e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0x5fc2439e, "sget_dev" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0736bdf, "bdi_unregister" },
	{ 0xff227fdd, "dev_set_name" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xf69f423f, "bdi_register" },
	{ 0x58002d5e, "device_unregister" },
	{ 0x5aab8408, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x2ca3f87b, "logfc" },
	{ 0x1042d29e, "sysfs_remove_files" },
	{ 0xcda34f61, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x91381b7a, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x856fb0a5, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe5a5fcc9, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x35e88657, "debugfs_create_bool" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5655080261274AEC2A5A86D");
