#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037a0cba, "kfree" },
	{ 0x69595f9a, "__dynamic_netdev_dbg" },
	{ 0xedabe44e, "call_switchdev_notifiers" },
	{ 0x07e717b0, "skb_queue_tail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3be00c21, "spi_get_device_id" },
	{ 0xcf4d064d, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbd414e0f, "device_property_read_bool" },
	{ 0xa244a922, "devm_gpiod_get_optional" },
	{ 0x8c4acd15, "spi_bus_lock" },
	{ 0x3aa8db25, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x08028fc8, "spi_bus_unlock" },
	{ 0xac378a50, "devm_mdiobus_alloc_size" },
	{ 0xc2558ede, "__devm_mdiobus_register" },
	{ 0xfd727b4e, "devm_alloc_etherdev_mqs" },
	{ 0xd5cb37ba, "device_get_ethdev_address" },
	{ 0xc5ca8e96, "netif_carrier_off" },
	{ 0x7275b9b2, "get_phy_device" },
	{ 0xd0b25c90, "phy_connect" },
	{ 0xd6083357, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xd81838ec, "devm_request_threaded_irq" },
	{ 0x6455f308, "devm_register_netdev" },
	{ 0x00d8c79c, "netdev_err" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b9a5e0, "netif_tx_wake_queue" },
	{ 0x2e82174c, "_dev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x99f9ac91, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe43c479e, "dev_addr_mod" },
	{ 0x07f593f2, "eth_prepare_mac_addr_change" },
	{ 0xebbe1683, "phy_start" },
	{ 0xe06bd194, "ethtool_op_get_link" },
	{ 0x0811e534, "phy_ethtool_get_link_ksettings" },
	{ 0xfe8b88a0, "phy_ethtool_set_link_ksettings" },
	{ 0x27196db0, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2cb8c0cd, "phy_disconnect" },
	{ 0x8ee9f22c, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7735e86f, "phy_do_ioctl" },
	{ 0x6c202cc8, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x8e7748d3, "__spi_register_driver" },
	{ 0x7c9a1a37, "driver_unregister" },
	{ 0x6f105f97, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x20fe78a2, "__netdev_alloc_skb" },
	{ 0x8808d7bb, "skb_put" },
	{ 0xf05a36cf, "skb_pull" },
	{ 0xe59180f3, "eth_type_trans" },
	{ 0xd6ecacdc, "netif_rx" },
	{ 0xb1cdc0ee, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5e8cb9b3, "consume_skb" },
	{ 0xff3d3417, "skb_dequeue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "458E69A5B1D3479444DCC45");
