#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x029a2c5d, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x305f0bdb, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xba749c45, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xdb083bf5, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x7c4ccb77, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xcb5e54a2, "eth_header_parse" },
	{ 0xbb9a7ad6, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6c6553b5, "eth_header_cache_update" },
	{ 0x157aa910, "nf_register_net_hooks" },
	{ 0x5f720689, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x391b9129, "ip_route_input_noref" },
	{ 0xb83b05f4, "__dev_get_by_index" },
	{ 0x19f3d9e2, "rtnl_link_unregister" },
	{ 0xf05a36cf, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb1cdc0ee, "sk_skb_reason_drop" },
	{ 0xe71ff7e9, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x49ac363c, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9d971fea, "ns_capable" },
	{ 0xd24a4cef, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe06bd194, "ethtool_op_get_link" },
	{ 0x24853089, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x7e935d10, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x174e2da2, "__pskb_pull_tail" },
	{ 0xd6ecacdc, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf7e1efaa, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xf07c7e03, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ed79516, "vlan_vid_add" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x8027bdb4, "call_netdevice_notifiers" },
	{ 0x1fcbcaff, "vlan_vid_del" },
	{ 0xf22170a5, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc5fa4d05, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8c660976, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x58391052, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb6ed322a, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4a74c841, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x8e3d19d6, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xac597885, "dev_change_flags" },
	{ 0x763e1d13, "netdev_core_stats_inc" },
	{ 0x38874416, "dev_forward_skb" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8434be8e, "register_netdevice" },
	{ 0xaed82eee, "__do_once_done" },
	{ 0x00843074, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x01772c51, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x68907a47, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe1d6f216, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc10f2d12, "netdev_update_features" },
	{ 0x5e8cb9b3, "consume_skb" },
	{ 0xbb1ed237, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9a788605, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x556cc9be, "rtnl_link_register" },
	{ 0xdd0abca2, "netif_inherit_tso_max" },
	{ 0x3ca3c2d7, "eth_header_cache" },
	{ 0x037a0cba, "kfree" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0x24029609, "ip_route_output_flow" },
	{ 0x42f82c43, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf879788e, "dev_uc_unsync" },
	{ 0xbc6218f5, "ether_setup" },
	{ 0x00d8c79c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x11152912, "netdev_upper_dev_link" },
	{ 0x8bab4b79, "register_pernet_subsys" },
	{ 0xe43c479e, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AB58FA724CDA66279765F9B");
