#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_radio_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_add_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_vif_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_add_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_remove_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_change_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_switch_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_remain_on_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_cancel_remain_on_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x511cb4e0, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xc338813b, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x6f740d06, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x38b4bf9c, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x72caaf7b, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x411f95c6, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x20791021, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x7a807183, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x9769d983, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0xa2ac600d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x22715219, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xce130157, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x9c1d4e07, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xe09d8404, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xbd597d2b, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x8219cb8f, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xf3f52fb5, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xc2594dd5, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xfe454d3e, "_gpl");
SYMBOL_CRC(mt76_alloc_radio_phy, 0xec6cac44, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xf6536c0c, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xbfb693ed, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x9ac5c17c, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xebfe0390, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x27f2d07c, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x04eab6a0, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x8048473b, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x8ae90cd2, "_gpl");
SYMBOL_CRC(mt76_rx, 0x033f254d, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x8738b621, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x70e1ac39, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x64bf9d4b, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0xb8186387, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xcfc90d74, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xf34e9e9b, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x7274b6e5, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x63ca1f2e, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x5859518f, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x240faf99, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x8e6daaff, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x16ada509, "_gpl");
SYMBOL_CRC(mt76_wcid_add_poll, 0xf3a3d521, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xe8d2979e, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x87a08998, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xac3274ed, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xdf9c639f, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x286a690e, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x26e191f3, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xfeb396e4, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xb747a7b8, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xf804c6bb, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x471dd439, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xb8c23c61, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xb309e1c7, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x3ef3e740, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xa9d61090, "_gpl");
SYMBOL_CRC(mt76_vif_cleanup, 0x86e246aa, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x9b6f2489, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xe153573f, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xdca644ed, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0xe167e7ae, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x8c054255, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x4498ff96, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x1d2095ff, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xda240916, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x0e4fbd58, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x8890ff4b, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x9ccc2d18, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xa9053b67, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xcfe5facc, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x5bbbf17d, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x3386fe1a, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x9c646dde, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xe6dffcb9, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xe04593ee, "_gpl");
SYMBOL_CRC(mt76_tx, 0xd5327b91, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xe8c0f1bf, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xa3de63a6, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xfb279c19, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x60ba1d9d, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x204022f0, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x54f2386d, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xbc4088f5, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x6a8f3fe1, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xaeefb7b0, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x6af6e493, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xf066be96, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xa00e9ff8, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x44680c13, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x0438b188, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x31199718, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xb0a51f5e, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x1dde00d7, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x900d2dd2, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x9b0e38db, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xdfe5e1b9, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xef6a589a, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x7b34b390, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0x9ed8843b, "_gpl");
SYMBOL_CRC(mt76_hw_scan, 0xda055d64, "_gpl");
SYMBOL_CRC(mt76_cancel_hw_scan, 0xefe27416, "_gpl");
SYMBOL_CRC(mt76_add_chanctx, 0x3af6923d, "_gpl");
SYMBOL_CRC(mt76_remove_chanctx, 0x194015f1, "_gpl");
SYMBOL_CRC(mt76_change_chanctx, 0x1d9fe4a9, "_gpl");
SYMBOL_CRC(mt76_assign_vif_chanctx, 0xa72477d7, "_gpl");
SYMBOL_CRC(mt76_unassign_vif_chanctx, 0x83b4772f, "_gpl");
SYMBOL_CRC(mt76_switch_vif_chanctx, 0xe922280d, "_gpl");
SYMBOL_CRC(mt76_remain_on_channel, 0xaa89546b, "_gpl");
SYMBOL_CRC(mt76_cancel_remain_on_channel, 0xa90c4cf9, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x6191e131, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x66df7d35, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec28c154, "debugfs_create_blob" },
	{ 0x672d2e9c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xf0b3787b, "page_pool_destroy" },
	{ 0x38e10ca2, "ieee80211_register_hw" },
	{ 0xb82bf71d, "led_classdev_unregister" },
	{ 0xf6fd664a, "__ieee80211_create_tpt_led_trigger" },
	{ 0x56280863, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x678958a5, "ieee80211_sta_eosp" },
	{ 0xc982cfe5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x235bd5c3, "kthread_park" },
	{ 0x8466b226, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x330a5ae1, "wake_up_process" },
	{ 0x96684248, "dev_driver_string" },
	{ 0xf3692263, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3db17aff, "dma_map_page_attrs" },
	{ 0x5641aa15, "napi_complete_done" },
	{ 0x3f0bd400, "ieee80211_get_tx_rates" },
	{ 0xec042ef4, "ieee80211_send_bar" },
	{ 0x543a9765, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x1b572dca, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x436283cd, "debugfs_create_devm_seqfile" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x21de0a8f, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6484982b, "const_pcpu_hot" },
	{ 0x2c24bfcc, "pci_disable_link_state" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0x68282c11, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x07e717b0, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0xd977c137, "kthread_unpark" },
	{ 0x823cea4b, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc326c964, "debugfs_attr_read" },
	{ 0xea88ad42, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xce6155a9, "ieee80211_queue_delayed_work" },
	{ 0x5b48718d, "devm_kmemdup" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x3c1e62c0, "perf_trace_run_bpf_submit" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0xe3a9a852, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x6015dd8a, "simple_attr_release" },
	{ 0x9515f71e, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x186af9e2, "ieee80211_find_sta_by_ifaddr" },
	{ 0xf9f589c5, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff5b1add, "ieee80211_remain_on_channel_expired" },
	{ 0xa3ae7686, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7e25e952, "skb_push" },
	{ 0x892da308, "napi_enable" },
	{ 0x0de71368, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xf9f25bfd, "seq_putc" },
	{ 0x6cad9e7d, "trace_event_reg" },
	{ 0x2c9aa382, "ieee80211_sta_pspoll" },
	{ 0x0323dfcc, "free_netdev" },
	{ 0xb4018924, "ieee80211_tx_prepare_skb" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xadae35ae, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8abefb31, "kthread_stop" },
	{ 0xa17d682d, "ieee80211_free_txskb" },
	{ 0x572c8b20, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2feee2d4, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x9d7aa565, "ieee80211_tx_dequeue" },
	{ 0x58f3af5d, "ieee80211_rx_list" },
	{ 0xfb941e81, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x346e505f, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd496daa9, "ieee80211_ready_on_channel" },
	{ 0x9e2e1048, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8932c09a, "kthread_create_on_node" },
	{ 0xa5f80efd, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x41e348ee, "alloc_netdev_dummy" },
	{ 0x102f593d, "trace_event_buffer_reserve" },
	{ 0x4783f52d, "ieee80211_scan_completed" },
	{ 0x4d5a3bfb, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeffe6541, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x778b5f38, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x403dba5a, "napi_build_skb" },
	{ 0x31cec93f, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6775829, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60fb7d10, "skb_add_rx_frag_netmem" },
	{ 0x93f43019, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x03fc9a91, "debugfs_create_u8" },
	{ 0xff8762ad, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x00758289, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa09d5618, "pcie_capability_read_word" },
	{ 0x80ef9222, "__skb_pad" },
	{ 0x5ae59915, "page_pool_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7764b0d7, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xffb5e836, "__ieee80211_schedule_txq" },
	{ 0x4cb94f84, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcf4d064d, "devm_kmalloc" },
	{ 0x8808d7bb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe95c185c, "page_pool_alloc_frag" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e8cb9b3, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x27d40ea9, "dmam_alloc_attrs" },
	{ 0xf79ad7f7, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0xff3d3417, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd3f2e9e1, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x31492014, "ieee80211_free_hw" },
	{ 0xa7dbad9a, "ieee80211_probereq_get" },
	{ 0x3a9e15db, "dma_unmap_page_attrs" },
	{ 0x2f581541, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xecfe3860, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfa699c93, "ieee80211_tx_status_ext" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "1C31AC652EE3448FE319BEA");
