#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_phy_rpt_be, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx_set, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx_clr, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_ant_gain_pwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(__rtw89_mgnt_chan_get, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x381a6f83, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x4f26c294, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x655ae6eb, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x564d6ef3, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x7c314a8c, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xd9f8f6d8, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x91eb0c9a, "");
SYMBOL_CRC(rtw89_core_rx, 0x6f974cd5, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x0f9d184d, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x29465f02, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x32b0f207, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x8a5b74ea, "");
SYMBOL_CRC(rtw89_check_quirks, 0xcf71da9d, "");
SYMBOL_CRC(rtw89_core_init, 0xaa84d418, "");
SYMBOL_CRC(rtw89_core_deinit, 0x7dcbf1f6, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x2702ba56, "");
SYMBOL_CRC(rtw89_core_register, 0xf90232c1, "");
SYMBOL_CRC(rtw89_core_unregister, 0x56d10816, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x043def43, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x2aa21cc7, "");
SYMBOL_CRC(rtw89_ops, 0x2f08c8e5, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xceb75c4c, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x3bdccf5c, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xdc6e130f, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x54a5cb5f, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xa6d6a4f4, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x8dab374b, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x682e5871, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x8ccee468, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xb9de3906, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xcb70f0a6, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x186ae572, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x0bfb74a4, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x284524be, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xc370b631, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x13bcda06, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0x565157b5, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0xc2256a65, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0xe19d092f, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0xb2cd514e, "");
SYMBOL_CRC(rtw89_mac_cfg_phy_rpt_be, 0xd4a9fb9e, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0x047b2186, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x41f28c07, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0xdb453fc4, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xc227ebff, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x79a32976, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x16fad866, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x7fe895a9, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xcf8050c8, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x94d4a9cf, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xc414d1a8, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xaf25db51, "");
SYMBOL_CRC(rtw89_phy_write32_idx_set, 0x9c148616, "");
SYMBOL_CRC(rtw89_phy_write32_idx_clr, 0xbf8707e0, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xda302121, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x200a6456, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xeae171fc, "");
SYMBOL_CRC(rtw89_phy_ant_gain_pwr_offset, 0xa647ef98, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x2f1db754, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x42b3ab7f, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0xb2119d76, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0x1976042f, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x46258238, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x165f8f4c, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0xa3ef3fe6, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x5693024f, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x041117ae, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0x886d8b4f, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x9caea0d7, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x745773ba, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0xe8a5092b, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0xe2c49ec9, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x8a61fba9, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x1fc31851, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x00824130, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0x64bf6135, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x89fa7916, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x91a01624, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x34e9aae5, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x6dbab3af, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x55c58b2c, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x0f8e44fc, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x2fdb3e23, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x4afc1b0c, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x19371c3d, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0xc026cea4, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x84ab118f, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x1509ba21, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xeb5c39e4, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x24e26afe, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0xfab3a106, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x01aa9aaa, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x8708ef04, "");
SYMBOL_CRC(__rtw89_mgnt_chan_get, 0x83ada82c, "");
SYMBOL_CRC(rtw89_ser_notify, 0x6954a890, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x2e82174c, "_dev_warn" },
	{ 0x787e0ad1, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x133c1fca, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x20fe78a2, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd496daa9, "ieee80211_ready_on_channel" },
	{ 0xbd78fd83, "ieee80211_stop_queues" },
	{ 0x63fef028, "skb_trim" },
	{ 0xf330a4aa, "skb_unlink" },
	{ 0x9e2e1048, "__netif_napi_del_locked" },
	{ 0x9c3efcc1, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xbdd8693a, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x41e348ee, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4783f52d, "ieee80211_scan_completed" },
	{ 0x4d5a3bfb, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff5f126b, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x778b5f38, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x31cec93f, "seq_write" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6775829, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x90635a7e, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc32e19e2, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x6166b1bf, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x839ef41c, "ieee80211_queue_work" },
	{ 0xc5fe3722, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xcf1fac3c, "napi_disable" },
	{ 0x93f43019, "ieee80211_sta_ps_transition" },
	{ 0x11e4f6aa, "dev_kfree_skb_any_reason" },
	{ 0x7dc7e9a9, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3219c62f, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x94ba3f68, "ieee80211_stop_tx_ba_session" },
	{ 0xb9f54167, "ieee80211_gtk_rekey_notify" },
	{ 0x33ad668a, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe47905a8, "ieee80211_connection_loss" },
	{ 0x125ae7ea, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x36d622b7, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xffb5e836, "__ieee80211_schedule_txq" },
	{ 0x545feaff, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe97424c9, "cfg80211_bss_iter" },
	{ 0x8808d7bb, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e8cb9b3, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x31492014, "ieee80211_free_hw" },
	{ 0xa7dbad9a, "ieee80211_probereq_get" },
	{ 0x2f581541, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xec4cc5b5, "request_firmware" },
	{ 0xbf147747, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1a5c6cd1, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdc728640, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xf879fb40, "ieee80211_nullfunc_get" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0x605b69d4, "ieee80211_pspoll_get" },
	{ 0x38e10ca2, "ieee80211_register_hw" },
	{ 0x8355dc3b, "ieee80211_emulate_change_chanctx" },
	{ 0x56280863, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x71d6a1d0, "ieee80211_restart_hw" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb4ab77a0, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd10082de, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x1b572dca, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfb992ffc, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0x07e717b0, "skb_queue_tail" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x85f4f8e8, "wiphy_to_ieee80211_hw" },
	{ 0xbb0573e9, "ieee80211_gtk_rekey_add" },
	{ 0xce6155a9, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb1cdc0ee, "sk_skb_reason_drop" },
	{ 0xf9f589c5, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff5b1add, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7e25e952, "skb_push" },
	{ 0x892da308, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf9f25bfd, "seq_putc" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2c9aa382, "ieee80211_sta_pspoll" },
	{ 0xd3f9c7a5, "ieee80211_wake_queues" },
	{ 0x0323dfcc, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2ec13a76, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa17d682d, "ieee80211_free_txskb" },
	{ 0x4391691b, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2feee2d4, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x9d7aa565, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "CAF7692A57BCB507CFB06ED");
