#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ntb_transport_unregister_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_unregister_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_create_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_free_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_remove, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_up, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_down, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_query, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_qp_num, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_max_size, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_free_entry, "_gpl", "");

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0x507510c2, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0x24c033b2, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0x216fb7d0, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88b33cc8, "debugfs_remove" },
	{ 0xf681a661, "dma_alloc_attrs" },
	{ 0x0aa243fb, "dma_free_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x96848186, "scnprintf" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd9a11481, "ntb_unregister_client" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x58002d5e, "device_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa5df640d, "__kmalloc_cache_node_noprof" },
	{ 0xff227fdd, "dev_set_name" },
	{ 0xef42aed8, "device_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1b022a11, "devm_free_irq" },
	{ 0xf809478f, "ntbm_msi_request_threaded_irq" },
	{ 0x2e82174c, "_dev_warn" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0xbf71ef7e, "ntb_msi_peer_trigger" },
	{ 0x357ae120, "dmaengine_get_unmap_data" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3db17aff, "dma_map_page_attrs" },
	{ 0x750343f3, "dmaengine_unmap_put" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x33f1b130, "dma_release_channel" },
	{ 0x48815d08, "__dma_request_channel" },
	{ 0x0ef1a5bd, "dma_map_resource" },
	{ 0xf8ef5c54, "dma_unmap_resource" },
	{ 0x3b27b9a4, "dma_sync_wait" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6ae45941, "ntb_clear_ctx" },
	{ 0xedc03953, "iounmap" },
	{ 0xfafde383, "ntb_msi_setup_mws" },
	{ 0x7f3484c2, "__kmalloc_node_noprof" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xaff8703f, "ntb_msi_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6f2fcc1c, "debugfs_create_file_full" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xdad5ef92, "ntb_default_peer_port_count" },
	{ 0xa095d5de, "ntb_set_ctx" },
	{ 0x59528a66, "ntb_link_event" },
	{ 0x2a04675d, "simple_open" },
	{ 0xff5f126b, "param_ops_bool" },
	{ 0x8b2df44b, "param_ops_uint" },
	{ 0x4b9cedf0, "param_ops_byte" },
	{ 0xd63c6dd8, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x856fb0a5, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0x19584207, "get_device" },
	{ 0xeea1675a, "driver_register" },
	{ 0x7c9a1a37, "driver_unregister" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0x92997ed8, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xff8762ad, "debugfs_create_dir" },
	{ 0x1f9d0467, "bus_register" },
	{ 0x2040a4fc, "__ntb_register_client" },
	{ 0xd0e5c2d3, "bus_unregister" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "AB75822B06ECA317196D8F4");
