#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wmi_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmidev_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_set, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(wmi_instance_count, 0xd5bf6c16, "_gpl");
SYMBOL_CRC(wmidev_instance_count, 0xc4a95482, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0xfe3632d2, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0x4176ff42, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmidev_block_set, 0xff119f9d, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0x33c30ffe, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0x53d55d3c, "");
SYMBOL_CRC(wmi_driver_unregister, 0x542fb962, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92b92221, "class_register" },
	{ 0x1f9d0467, "bus_register" },
	{ 0x6025d6ee, "__platform_driver_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xd0e5c2d3, "bus_unregister" },
	{ 0xfa9fe31a, "class_unregister" },
	{ 0xe20fa26d, "device_for_each_child_reverse" },
	{ 0x58002d5e, "device_unregister" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x81c1f587, "device_for_each_child" },
	{ 0x037a0cba, "kfree" },
	{ 0x5405da67, "platform_driver_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x53b954a2, "up_read" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x2e82174c, "_dev_warn" },
	{ 0x36d622b7, "is_acpi_device_node" },
	{ 0x96166bff, "device_create" },
	{ 0xd6083357, "__devm_add_action" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xff227fdd, "dev_set_name" },
	{ 0x75480897, "device_initialize" },
	{ 0x26d803b8, "device_link_add" },
	{ 0x5cb8abba, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd4cce4b3, "bus_for_each_dev" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0x856fb0a5, "put_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa47cd399, "bus_find_device" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x66d24f72, "driver_set_override" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xeea1675a, "driver_register" },
	{ 0x7c9a1a37, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "92DF45813822CE12E36920A");
