#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x024e6985, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x9bbcde6c, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xc458e1d8, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x5de39172, "_gpl");
SYMBOL_CRC(fuse_abort_conn, 0xb9741495, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x5d3851db, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xb73e38dd, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xdca6c1c4, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x1d502109, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x61b20f48, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x1590c53a, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x1e59a855, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xa08f514a, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xafd5a9c9, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x46540e32, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x45e8a73f, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x0d80c1fd, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x6359b307, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x2f0a163a, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x358f9661, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x87e20f6b, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x97886b47, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xf73f4048, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x9902f32a, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xfe704bf6, "");
SYMBOL_CRC(fuse_do_ioctl, 0x5286c613, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x2d2f55cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82e1a02c, "folio_mark_dirty" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xbb3f4ea3, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x511f982d, "setattr_should_drop_suidgid" },
	{ 0xf9f3f380, "security_release_secctx" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xbe596f56, "iov_iter_extract_pages" },
	{ 0xfc65e294, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb230557b, "copy_page_from_iter_atomic" },
	{ 0xa16f2bc0, "fs_param_is_gid" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x303dff27, "fs_context_for_submount" },
	{ 0xa65c1b04, "__folio_swap_cache_index" },
	{ 0x93719535, "inode_init_once" },
	{ 0x312f28e2, "file_write_and_wait_range" },
	{ 0xa8fb357f, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x69d2c450, "nosteal_pipe_buf_ops" },
	{ 0xde944a03, "ilookup5" },
	{ 0x3712f4c5, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x76def755, "inode_nohighmem" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x41e084c0, "release_pages" },
	{ 0xc3a85a0c, "page_get_link_raw" },
	{ 0x3c1e62c0, "perf_trace_run_bpf_submit" },
	{ 0xb82517d0, "generic_file_direct_write" },
	{ 0x4c7a1d28, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x9bb59dcc, "generic_file_read_iter" },
	{ 0xf6e1e4bd, "inode_maybe_inc_iversion" },
	{ 0x664b04d4, "unlock_page" },
	{ 0x7fee1706, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x4b6f6d85, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4e246c4c, "put_fs_context" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x0ff79128, "backing_file_splice_read" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xd1f9ec24, "write_cache_pages" },
	{ 0x7d9d48f6, "file_update_time" },
	{ 0xdb8f64b3, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb58fd07c, "kmem_cache_alloc_lru_noprof" },
	{ 0x527d9d67, "kmem_cache_free" },
	{ 0x9ddeb211, "fget_raw" },
	{ 0x0925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xdf1e771d, "from_kgid" },
	{ 0xdeeaf259, "fasync_helper" },
	{ 0x6cad9e7d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6999bd71, "proc_douintvec_minmax" },
	{ 0xa3421680, "__io_uring_cmd_do_in_task" },
	{ 0xb8beab73, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2c47880d, "from_vfsgid" },
	{ 0xd0700ce3, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9589877f, "d_obtain_alias" },
	{ 0x5d5b05c3, "file_modified" },
	{ 0x27b9c693, "copy_page_to_iter" },
	{ 0x2a9d7271, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x2e58f879, "folio_end_read" },
	{ 0x4cf24049, "finish_no_open" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x6335d028, "__folio_start_writeback" },
	{ 0x5171c9de, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x08e35012, "kill_litter_super" },
	{ 0xdb34871c, "folio_end_writeback" },
	{ 0x6150f3ff, "folio_alloc_noprof" },
	{ 0xbb7010c0, "from_kuid" },
	{ 0x142b5aeb, "current_in_userns" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d0ca758, "fc_mount" },
	{ 0xec813656, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0xd5087938, "sysfs_remove_mount_point" },
	{ 0x1a1f1040, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x336fe05d, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x31739144, "in_group_or_capable" },
	{ 0x59808bad, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xee0dea8f, "d_delete" },
	{ 0x6bb77107, "__kmem_cache_create_args" },
	{ 0x329aa662, "io_uring_cmd_done" },
	{ 0xf839ce48, "from_kgid_munged" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbe368c75, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0x4a285919, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x48f3f850, "nonseekable_open" },
	{ 0x4907680d, "dax_finish_sync_fault" },
	{ 0xf62e7e64, "copy_page_from_iter" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x95e70c6f, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfb91d4b4, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0xe68f6331, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3ae50a78, "generic_read_dir" },
	{ 0x102f593d, "trace_event_buffer_reserve" },
	{ 0x41655634, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff5f126b, "param_ops_bool" },
	{ 0xedbc1cc2, "init_user_ns" },
	{ 0xd0d6fc0d, "folio_copy" },
	{ 0x7bd0ea09, "d_find_alias" },
	{ 0x62b50080, "invalidate_inode_pages2" },
	{ 0x1fdea006, "inode_set_ctime_current" },
	{ 0xd405baf1, "inc_nlink" },
	{ 0x31cec93f, "seq_write" },
	{ 0x4ed9ba86, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16c3d75b, "get_tree_bdev" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0xd6f9b75f, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6775829, "seq_printf" },
	{ 0xdf8c153c, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x87b4e426, "generic_delete_inode" },
	{ 0x7c5f9359, "deactivate_locked_super" },
	{ 0x04351b48, "touch_atime" },
	{ 0x1918ae22, "__percpu_down_read" },
	{ 0x79f40e5a, "__d_lookup_unhash_wake" },
	{ 0x98186c4e, "set_page_dirty_lock" },
	{ 0x19d06375, "pid_nr_ns" },
	{ 0xa1f1bd0c, "generic_file_open" },
	{ 0x8f85ec35, "truncate_inode_pages_range" },
	{ 0x2a3f08a3, "__put_user_ns" },
	{ 0x513eb322, "alloc_pages_noprof" },
	{ 0x13bc23b7, "__folio_lock" },
	{ 0xc31d6d63, "filemap_dirty_folio" },
	{ 0xd8b00aa1, "pagecache_get_page" },
	{ 0x48054482, "stream_open" },
	{ 0x7ee3971e, "rcuwait_wake_up" },
	{ 0xd5d7f7ef, "node_data" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0x8a5867ec, "add_to_pipe" },
	{ 0xdc3a2e21, "__fs_parse" },
	{ 0x2d640cec, "dax_layout_busy_page_range" },
	{ 0x82e926bc, "filemap_splice_read" },
	{ 0x07f52bee, "posix_acl_to_xattr" },
	{ 0x87361023, "kill_anon_super" },
	{ 0x8919f544, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x557f8fbe, "iget5_locked" },
	{ 0x4641e33a, "security_dentry_init_security" },
	{ 0x4668ab78, "filemap_write_and_wait_range" },
	{ 0xd5613b6b, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xf8100b3f, "generic_write_checks" },
	{ 0xf383c14f, "iov_iter_revert" },
	{ 0x07a77a9d, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe08c2afb, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xabfaf522, "filemap_fault" },
	{ 0x2ddf2873, "d_invalidate" },
	{ 0xbed13e7f, "__mark_inode_dirty" },
	{ 0x07c7b88a, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc10de3dd, "io_uring_cmd_mark_cancelable" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x817b6499, "iov_iter_npages" },
	{ 0x09b53e14, "interval_tree_remove" },
	{ 0x938d719a, "drop_nlink" },
	{ 0x2b817413, "fault_in_iov_iter_readable" },
	{ 0xd5cc8c87, "filemap_check_errors" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xa8087b1a, "inode_set_ctime_to_ts" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x5b7fb4d4, "fs_param_is_uid" },
	{ 0x5978d0f6, "bdi_set_max_ratio" },
	{ 0x8b137fdf, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb1b6a215, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xe0213ff6, "super_setup_bdi_name" },
	{ 0x59160eaf, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe84d6d1f, "truncate_inode_pages" },
	{ 0xa21c1c21, "noop_backing_dev_info" },
	{ 0x54c95606, "pipe_lock" },
	{ 0x1c67fd89, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd6894067, "vfs_fsync_range" },
	{ 0xb815fb49, "setattr_prepare" },
	{ 0x8ae3a118, "filemap_migrate_folio" },
	{ 0x58557bb2, "clear_nlink" },
	{ 0x048a8fb1, "file_check_and_advance_wb_err" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd22f304f, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x5b08b1fd, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xb25461ad, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x19fbb8ff, "make_vfsgid" },
	{ 0xc8f8edb0, "clear_inode" },
	{ 0x245a3d7e, "inode_to_bdi" },
	{ 0x88efc852, "find_pid_ns" },
	{ 0x20978fb9, "idr_find" },
	{ 0x58962ff3, "invalid_mnt_idmap" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1007f210, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6e4291c7, "pipe_unlock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x6434f743, "unpin_folio" },
	{ 0xb36d29dc, "fs_param_is_string" },
	{ 0x69f7dfe9, "folio_unlock" },
	{ 0x820b37f9, "new_inode" },
	{ 0xeabc19d8, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x1c3ab616, "dump_page" },
	{ 0xf79ad7f7, "trace_raw_output_prep" },
	{ 0x4c800339, "forget_all_cached_acls" },
	{ 0x2083024b, "init_special_inode" },
	{ 0xcadfda8f, "unregister_filesystem" },
	{ 0x11988a5d, "import_iovec" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc27aeb87, "task_active_pid_ns" },
	{ 0x28b88d89, "iov_iter_single_seg_count" },
	{ 0x13c4d568, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9ef56656, "filemap_fdatawrite_range" },
	{ 0xd3f2e9e1, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd0818d91, "d_alloc_name" },
	{ 0x52d08e04, "replace_page_cache_folio" },
	{ 0x4c198e20, "inode_query_iversion" },
	{ 0xed2dc900, "iov_iter_advance" },
	{ 0xae36cc8b, "kill_fasync" },
	{ 0x5f9f17f4, "d_make_root" },
	{ 0xecfe3860, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbf3267b3, "backing_file_splice_write" },
	{ 0xa89d9260, "sb_set_blocksize" },
	{ 0xf42f065b, "fget" },
	{ 0xde0dca02, "simple_fill_super" },
	{ 0x4e77087f, "sync_filesystem" },
	{ 0xd3355356, "noop_dirty_folio" },
	{ 0xb582c8bf, "sget_fc" },
	{ 0x43010f0c, "param_set_uint" },
	{ 0x29e9cb1a, "d_splice_alias" },
	{ 0xd27cb0e6, "iov_iter_get_pages2" },
	{ 0x5d27e40a, "direct_write_fallback" },
	{ 0x672d2e9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x03c209ba, "from_vfsuid" },
	{ 0x983bbcb0, "generic_permission" },
	{ 0xf36f2807, "truncate_pagecache_range" },
	{ 0x037a0cba, "kfree" },
	{ 0x0072709e, "invalidate_inode_pages2_range" },
	{ 0x90107560, "posix_lock_file" },
	{ 0x53281559, "finish_open" },
	{ 0x0fbdc91d, "dax_iomap_rw" },
	{ 0x75925bc9, "iput" },
	{ 0x9b93b2b3, "kiocb_modified" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x2ca3f87b, "logfc" },
	{ 0xc96c01be, "iter_file_splice_write" },
	{ 0x87bacab6, "mod_node_page_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe1521295, "folio_mark_dirty_lock" },
	{ 0x49e7cd6a, "init_pid_ns" },
	{ 0x80c2734b, "dax_iomap_fault" },
	{ 0x37025033, "iov_iter_init" },
	{ 0x059948fc, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xad56ad95, "sysfs_create_mount_point" },
	{ 0x2d9670bb, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1ee2fb37, "import_ubuf" },
	{ 0xa550d2e6, "register_filesystem" },
	{ 0xcaa662bd, "folio_add_lru" },
	{ 0x4d43cd1a, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2651d268, "sync_inode_metadata" },
	{ 0xf62fb87c, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xeda6a78d, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c2b088c, "shrink_dcache_parent" },
	{ 0xe5323a8c, "make_vfsuid" },
	{ 0x9301e6ed, "__put_cred" },
	{ 0x0dd59803, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x2d7c041a, "get_tree_nodev" },
	{ 0xf3942298, "splice_file_range" },
	{ 0xf3692263, "trace_event_buffer_commit" },
	{ 0x2938578c, "filemap_fdatawrite_range_kick" },
	{ 0xea40d1c5, "simple_inode_init_ts" },
	{ 0xcd313312, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4138ec0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd6b5e560, "fs_param_is_u32" },
	{ 0xc945f883, "inode_newsize_ok" },
	{ 0xb79d5474, "d_drop" },
	{ 0x03514653, "kill_block_super" },
	{ 0x29a3a864, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x91381b7a, "bdi_put" },
	{ 0xe0beedb9, "posix_acl_from_xattr" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x96bffb90, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x65d79536, "unregister_sysctl_table" },
	{ 0xb5d84e89, "make_kuid" },
	{ 0x7c0ace63, "truncate_inode_pages_final" },
	{ 0xd2b3d124, "fs_kobj" },
	{ 0xb93c30be, "__filemap_set_wb_err" },
	{ 0x017d2006, "simple_dir_operations" },
	{ 0x6a8c7571, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x2473ecb6, "backing_file_mmap" },
	{ 0x494440e6, "__filemap_get_folio" },
	{ 0x6484982b, "const_pcpu_hot" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3AD123B9834336B06A479EA");
