#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x6849044e, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x46572a28, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x62604d44, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x2a542233, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xe7bc1ab8, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xd0237c6b, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xb0274e4a, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xf2d8a2a5, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xe412e495, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x78efa3a1, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xfec80021, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x534e55aa, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x1d958697, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xe10af3a3, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x97ce9b24, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x071a901b, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x5bd9df77, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x7506d5fa, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x74e38f0d, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x42e822d6, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xc4ca0d82, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xa7355c9d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2056b3a2, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6cf84c3c, "alloc_netdev_mqs" },
	{ 0x8434be8e, "register_netdevice" },
	{ 0x0323dfcc, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x42f82c43, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9d2b8e28, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24029609, "ip_route_output_flow" },
	{ 0x8c660976, "dst_release" },
	{ 0xb83b05f4, "__dev_get_by_index" },
	{ 0x9364e8c8, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xe43c479e, "dev_addr_mod" },
	{ 0xd045ffc9, "netdev_state_change" },
	{ 0x9d971fea, "ns_capable" },
	{ 0x6430b7c6, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3ac5bb2a, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x30d6e1f5, "ip6_mtu" },
	{ 0x3a8ca461, "icmpv6_ndo_send" },
	{ 0xb1948670, "icmp_ndo_send" },
	{ 0x45423b6e, "ipv4_mtu" },
	{ 0xb1cdc0ee, "sk_skb_reason_drop" },
	{ 0x99bef386, "dst_cache_get_ip4" },
	{ 0x9f0f59c3, "dst_cache_set_ip4" },
	{ 0x28bc5d53, "iptunnel_xmit" },
	{ 0xda1c099a, "__skb_get_hash_net" },
	{ 0x9c32329e, "skb_copy_bits" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xb4ab77a0, "pskb_expand_head" },
	{ 0xc2c26aaf, "neigh_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x174e2da2, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7e1efaa, "skb_scrub_packet" },
	{ 0x8b35dee6, "gro_cells_receive" },
	{ 0xe59180f3, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B5C7FB22D4262CC96E6EF7");
