#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xcf4f1a33, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x0ddbaf1a, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x9854917f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xb425ab63, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x5591ca8f, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xe41a2169, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x7453c7b2, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x1846ddce, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x49f8d1f6, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x8f6d51d1, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x57709bbd, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x9733c211, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xb1eefb66, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x81d8b26f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x9972e414, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xbb24c57a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x48a29ae0, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xb26dd5e3, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x208daf51, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x5957087f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x3c1e62c0, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x102f593d, "trace_event_buffer_reserve" },
	{ 0xf3692263, "trace_event_buffer_commit" },
	{ 0xd3f2e9e1, "__trace_trigger_soft_disabled" },
	{ 0xf79ad7f7, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xecfe3860, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x5171c9de, "bpf_trace_run1" },
	{ 0xb88c9272, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3df2982b, "sk_error_report" },
	{ 0x765c1252, "ip_icmp_error" },
	{ 0xd619d934, "ipv6_icmp_error" },
	{ 0x92997ed8, "_printk" },
	{ 0x8fa3e906, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7a9bff6f, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf27b9efe, "sock_create_kern" },
	{ 0x79a674cf, "kernel_bind" },
	{ 0x72b8900f, "kernel_connect" },
	{ 0xc6444d3d, "udp_sock_create6" },
	{ 0x6f74ae12, "kernel_sock_shutdown" },
	{ 0x348bd3f3, "sock_release" },
	{ 0xa3339bdd, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x0297ae1e, "sk_free" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb1cdc0ee, "sk_skb_reason_drop" },
	{ 0xff3d3417, "skb_dequeue" },
	{ 0x037a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x5e4a8e59, "sockfd_lookup" },
	{ 0x2fff7efc, "lock_sock_nested" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc9ffaa92, "release_sock" },
	{ 0x4c7a1d28, "fput" },
	{ 0xdca14fb0, "setup_udp_tunnel_sock" },
	{ 0xbd21f2d5, "udp_set_csum" },
	{ 0x0621f1d5, "ip_queue_xmit" },
	{ 0xb4ab77a0, "pskb_expand_head" },
	{ 0xb64898c8, "udp6_set_csum" },
	{ 0xccec0040, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8c660976, "dst_release" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x07e717b0, "skb_queue_tail" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x174e2da2, "__pskb_pull_tail" },
	{ 0x6cad9e7d, "trace_event_reg" },
	{ 0x672d2e9c, "trace_event_raw_init" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");
