#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x3977e8be, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x3a25f352, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x15fe9f10, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x2d9a3fea, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0xb0d907ff, "");
SYMBOL_CRC(hda_dsp_probe_early, 0xbe73c067, "");
SYMBOL_CRC(hda_dsp_probe, 0xb4b144ed, "");
SYMBOL_CRC(hda_dsp_remove, 0xa690bea0, "");
SYMBOL_CRC(hda_power_down_dsp, 0x2099cc25, "");
SYMBOL_CRC(hda_pci_intel_probe, 0xe0a3db14, "");
SYMBOL_CRC(sof_hda_common_ops, 0x9d26b186, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0xcf4d064d, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0xd7260b28, "pci_alloc_irq_vectors" },
	{ 0x47b29a64, "intel_nhlt_get_dmic_geo" },
	{ 0x906c902d, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x88a94804, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x324ee04f, "hda_sdw_process_wakeen" },
	{ 0x31a42ce9, "hda_sdw_int_enable" },
	{ 0xe1dd973b, "hda_bus_ml_init" },
	{ 0x2589bff6, "hda_codec_probe_bus" },
	{ 0x6c59ca6d, "sof_hda_bus_exit" },
	{ 0x72041750, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x7ca98ff4, "sdw_intel_exit" },
	{ 0x96968969, "hda_codec_check_for_state_change" },
	{ 0x3375084d, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x7acc26b1, "sdw_hda_dai_trigger" },
	{ 0x3b4a2ab5, "hda_bus_ml_free" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0x60a51369, "hda_dsp_cl_boot_firmware" },
	{ 0xcb021bb9, "hda_dsp_pcm_hw_params" },
	{ 0xf8cda6a7, "hda_sdw_check_lcount" },
	{ 0x7d6b77bd, "snd_intel_dsp_driver_probe" },
	{ 0xb0c2c4c5, "pci_irq_vector" },
	{ 0x0c74a2c6, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0x1997453e, "pci_ioremap_bar" },
	{ 0x437943f4, "hda_dsp_ctrl_init_chip" },
	{ 0xe755c742, "sdw_hda_dai_hw_free" },
	{ 0x0a288885, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdeb5e830, "hda_dsp_suspend" },
	{ 0x5e537f29, "hda_dsp_runtime_suspend" },
	{ 0x2ef32e94, "hda_codec_i915_exit" },
	{ 0x9380e930, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34f97abc, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0x33c90485, "hda_dai_config" },
	{ 0xae161070, "hda_probes_unregister" },
	{ 0xbb15a501, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5d5a6b98, "hda_dsp_pcm_ack" },
	{ 0xa4c5981c, "hda_dsp_trace_release" },
	{ 0x002b8817, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0x60f7fc4e, "_dev_info" },
	{ 0x4f913489, "hda_dsp_dump" },
	{ 0x40800840, "sdw_intel_startup" },
	{ 0x725cd01f, "hda_dsp_pcm_pointer" },
	{ 0xa04492ab, "sdw_intel_process_wakeen_event" },
	{ 0xc1a4513b, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd189ddea, "sof_mailbox_read" },
	{ 0xf232e49e, "hda_bus_ml_put_all" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x35e88657, "debugfs_create_bool" },
	{ 0x15779848, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8b865a5c, "__tracepoint_sof_intel_hda_irq" },
	{ 0x6c5f6b70, "platform_device_unregister" },
	{ 0x44e5d13e, "hda_dsp_trace_init" },
	{ 0xb157f402, "snd_soc_acpi_find_machine" },
	{ 0x1c1e20f2, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x6faff740, "hda_codec_device_remove" },
	{ 0xd283460d, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x32229a51, "snd_sof_dsp_update_bits" },
	{ 0x502edea3, "snd_sof_pci_update_bits" },
	{ 0xec23997b, "sof_hda_bus_init" },
	{ 0xb23fb195, "hda_dsp_runtime_idle" },
	{ 0x012a3e0b, "hda_dsp_pcm_open" },
	{ 0x2e82174c, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x29d4c820, "sdw_intel_lnl_hw_ops" },
	{ 0x127e598f, "pci_set_master" },
	{ 0x0653832f, "param_ops_charp" },
	{ 0x20b78651, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x593b0f7d, "hda_dsp_pcm_close" },
	{ 0x2514d8f4, "dma_set_coherent_mask" },
	{ 0x1e26ed59, "devm_kasprintf" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xadcac1a3, "hda_check_ipc_irq" },
	{ 0x09a8e1cd, "platform_device_register_full" },
	{ 0x0e84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0xfe8892b0, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6c214a88, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3f3c3972, "sof_machine_unregister" },
	{ 0x93ace742, "skl_dai" },
	{ 0x9f4367ac, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x94a2bb01, "sdw_intel_probe" },
	{ 0x8ffbd817, "snd_sof_load_firmware_raw" },
	{ 0x7b649a72, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x08045636, "hda_is_chain_dma_supported" },
	{ 0x3eea97b1, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xb142f995, "dma_set_mask" },
	{ 0x9d863153, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0xe49f52a4, "dev_err_probe" },
	{ 0x4a491269, "hda_dsp_stream_init" },
	{ 0xaa974f92, "hda_dsp_get_stream_ldp" },
	{ 0x8f4598ec, "hda_dsp_stream_free" },
	{ 0x060d9b35, "hda_dsp_ctrl_get_caps" },
	{ 0x5f8d40c8, "param_ops_int" },
	{ 0x3fd92637, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xef207751, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x8184fb23, "hda_codec_i915_init" },
	{ 0x3a18478b, "pci_free_irq_vectors" },
	{ 0x285c09a6, "hda_dsp_check_stream_irq" },
	{ 0x1d84ad6a, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xb21f66b0, "hda_dsp_ipc_get_window_offset" },
	{ 0x0dd33388, "hda_ipc_msg_data" },
	{ 0x3bb9a389, "sof_machine_register" },
	{ 0xf5e22c7c, "hdac_bus_eml_get_mutex" },
	{ 0xd467c0b3, "snd_soc_acpi_intel_hda_machines" },
	{ 0x3cc5f2cd, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x8189282c, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x48c2708d, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9ed5554c, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x8b564b28, "hda_get_interface_mask" },
	{ 0xa45174e7, "hda_codec_i915_display_power" },
	{ 0x36d622b7, "is_acpi_device_node" },
	{ 0x59a4ad7f, "hda_dsp_pcm_trigger" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-pcm,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "FAEC18F973BD3EEC28CABF1");
