#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cnl_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_CNL");

SYMBOL_CRC(cnl_ipc4_irq_thread, 0xfb15a137, "");
SYMBOL_CRC(cnl_ipc_irq_thread, 0xf89348f2, "");
SYMBOL_CRC(cnl_ipc4_send_msg, 0x213eed65, "");
SYMBOL_CRC(cnl_ipc_send_msg, 0x338c5a93, "");
SYMBOL_CRC(cnl_ipc_dump, 0x5817117c, "");
SYMBOL_CRC(cnl_ipc4_dump, 0xc7b857fa, "");
SYMBOL_CRC(sof_cnl_ops, 0xbdf6f1cb, "");
SYMBOL_CRC(sof_cnl_ops_init, 0xe6fba2bb, "");
SYMBOL_CRC(jsl_chip_info, 0x74c81a4a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5a420b1, "hda_dsp_shutdown" },
	{ 0xeef3bc22, "__pci_register_driver" },
	{ 0xd7c3e246, "hda_dsp_disable_interrupts" },
	{ 0xde6d241e, "pcpu_hot" },
	{ 0x60a51369, "hda_dsp_cl_boot_firmware" },
	{ 0xf0f3c224, "hda_dsp_set_power_state_ipc4" },
	{ 0x290c8119, "__SCK__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x0362438c, "__tracepoint_sof_intel_ipc_firmware_initiated" },
	{ 0x9e7726da, "hda_dsp_ipc_get_reply" },
	{ 0x2099cc25, "hda_power_down_dsp" },
	{ 0x9a6bd8f2, "snd_soc_acpi_intel_cfl_sdw_machines" },
	{ 0x8ac230ba, "__dynamic_dev_dbg" },
	{ 0x56a11aa8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4098a87b, "snd_soc_acpi_intel_cml_machines" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35e33813, "__SCT__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x16bbbb91, "__SCT__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x9d26b186, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2b62facb, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0a3db14, "hda_pci_intel_probe" },
	{ 0xc1a4513b, "sof_mailbox_write" },
	{ 0x9e8b2a3d, "_dev_err" },
	{ 0x031d7ce6, "snd_sof_dsp_update_bits_forced" },
	{ 0x3e504b42, "sof_pci_remove" },
	{ 0x53d6c712, "__tracepoint_sof_intel_ipc_firmware_response" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x523fc6e9, "__SCK__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4e4cca8c, "hda_set_dai_drv_ops" },
	{ 0x9cdcf877, "hda_dsp_set_power_state_ipc3" },
	{ 0x07b00e40, "snd_soc_acpi_intel_cnl_sdw_machines" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1558b065, "snd_sof_ipc_get_reply" },
	{ 0x32229a51, "snd_sof_dsp_update_bits" },
	{ 0xb0d907ff, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd2299044, "hda_common_enable_sdw_irq" },
	{ 0xe29168f1, "hda_dsp_check_ipc_irq" },
	{ 0x5d40c026, "snd_sof_ipc_reply" },
	{ 0xa304c881, "cl_dsp_init" },
	{ 0xeed8be71, "hda_ipc4_tx_is_busy" },
	{ 0x9530d382, "hda_ops_free" },
	{ 0x69501c89, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xdf13d64c, "sof_pci_shutdown" },
	{ 0x7e6d4b88, "hda_dsp_core_get" },
	{ 0xc202e62d, "__kmalloc_cache_noprof" },
	{ 0x2d9a3fea, "hda_sdw_process_wakeen_common" },
	{ 0xa819438a, "snd_soc_acpi_intel_cml_sdw_machines" },
	{ 0xcdbb4f01, "snd_sof_dsp_panic" },
	{ 0x0bd39fbd, "hda_dsp_ipc4_load_library" },
	{ 0x8b628f63, "hda_ipc_irq_dump" },
	{ 0xfe50a3fb, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x3a25f352, "hda_common_check_sdw_irq" },
	{ 0x85117046, "sof_pci_pm" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1a4383c6, "snd_soc_acpi_intel_cfl_machines" },
	{ 0x6f556132, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x15fe9f10, "hda_sdw_check_wakeen_irq_common" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3F0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "636D538188C95ADAF6E371D");
